Index: general/genlib/boost.xml
===================================================================
--- general/genlib/boost.xml	(revision 6b7881dd6b3228758ace96e7c5eb5abfd1dae5a9)
+++ general/genlib/boost.xml	(revision 60ddbaf3c27e8a0ef935630df3ce3fe361c84e13)
@@ -83,5 +83,5 @@
     <para role="optional">
       <xref linkend="icu"/>,
-      <xref linkend="python2"/> or <xref linkend="python3"/>, and
+      <xref linkend="python2"/>, and
       <ulink url="https://www.open-mpi.org/">Open MPI</ulink>
     </para>
Index: general/genlib/genlib.xml
===================================================================
--- general/genlib/genlib.xml	(revision 6b7881dd6b3228758ace96e7c5eb5abfd1dae5a9)
+++ general/genlib/genlib.xml	(revision 60ddbaf3c27e8a0ef935630df3ce3fe361c84e13)
@@ -80,9 +80,7 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="libcroco.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="libdaemon.xml"/>
-<!--
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="libdbusmenuqt.xml"/>
--->
+<!-- <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="libdbusmenuqt.xml"/> -->
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="libesmtp.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="libffi.xml"/>
+<!--  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="libffi.xml"/>-->
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="libgcrypt.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="libgpg-error.xml"/>
Index: general/genlib/glib2.xml
===================================================================
--- general/genlib/glib2.xml	(revision 6b7881dd6b3228758ace96e7c5eb5abfd1dae5a9)
+++ general/genlib/glib2.xml	(revision 60ddbaf3c27e8a0ef935630df3ce3fe361c84e13)
@@ -75,10 +75,10 @@
     <bridgehead renderas="sect3">GLib Dependencies</bridgehead>
 
+<!--
     <bridgehead renderas="sect4">Required</bridgehead>
     <para role="required">
-      <xref linkend="libffi"/> and
       <xref linkend="python2"/> or <xref linkend="python3"/>
     </para>
-
+-->
     <bridgehead renderas="sect4">Recommended</bridgehead>
     <para role="recommended">
@@ -91,4 +91,5 @@
       <xref linkend="elfutils"/>,
       <xref linkend="gtk-doc"/>,
+      <xref linkend="python2"/>,
       <ulink url="ftp://oss.sgi.com/projects/fam/download/stable/">FAM library</ulink>, and
       <ulink url="https://www.gnu.org/software/indent/">GNU Indent</ulink>
@@ -123,5 +124,7 @@
     </para>
 
-<screen><userinput>./configure --prefix=/usr --with-pcre=system &amp;&amp;
+<screen><userinput>./configure --prefix=/usr      \
+            --with-pcre=system \
+            --with-python=/usr/bin/python3 &amp;&amp;
 make</userinput></screen>
 
Index: general/genlib/js38.xml
===================================================================
--- general/genlib/js38.xml	(revision 6b7881dd6b3228758ace96e7c5eb5abfd1dae5a9)
+++ general/genlib/js38.xml	(revision 60ddbaf3c27e8a0ef935630df3ce3fe361c84e13)
@@ -87,5 +87,4 @@
       <xref linkend="autoconf213"/>,
       <xref linkend="icu"/>,
-      <xref linkend="libffi"/>,
       <xref linkend="nspr"/>,
       <xref linkend="python2"/>, and
Index: general/genlib/libblockdev.xml
===================================================================
--- general/genlib/libblockdev.xml	(revision 6b7881dd6b3228758ace96e7c5eb5abfd1dae5a9)
+++ general/genlib/libblockdev.xml	(revision 60ddbaf3c27e8a0ef935630df3ce3fe361c84e13)
@@ -87,6 +87,5 @@
     <bridgehead renderas="sect4">Recommended</bridgehead>
     <para role="recommended">
-      <xref linkend="python3"/>,
-      <xref linkend="nss"/>, and 
+      <xref linkend="nss"/> and 
       <xref linkend="cryptsetup"/> 
     </para>
@@ -116,6 +115,5 @@
     </para>
 
-<screen><userinput>
-./configure --prefix=/usr     \
+<screen><userinput>./configure --prefix=/usr     \
             --sysconfdir=/etc \
             --without-dm      &amp;&amp;
Index: general/genlib/libbytesize.xml
===================================================================
--- general/genlib/libbytesize.xml	(revision 6b7881dd6b3228758ace96e7c5eb5abfd1dae5a9)
+++ general/genlib/libbytesize.xml	(revision 60ddbaf3c27e8a0ef935630df3ce3fe361c84e13)
@@ -82,5 +82,4 @@
       <xref linkend="gtk-doc"/>,
       <xref linkend="python2"/>, 
-      <xref linkend="python3"/>, 
       <xref linkend="six"/> (python module for tests),
       <ulink url="https://github.com/rhinstaller/pocketlint/releases">pocketlint</ulink> (python module for one test), and 
Index: general/genlib/libseccomp.xml
===================================================================
--- general/genlib/libseccomp.xml	(revision 6b7881dd6b3228758ace96e7c5eb5abfd1dae5a9)
+++ general/genlib/libseccomp.xml	(revision 60ddbaf3c27e8a0ef935630df3ce3fe361c84e13)
@@ -78,10 +78,10 @@
 
     <bridgehead renderas="sect3">libseccomp Dependencies</bridgehead>
-
+<!--
     <bridgehead renderas="sect4">Required</bridgehead>
     <para role="required">
       <xref linkend="python3"/>
     </para>
-
+-->
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional">
Index: general/genlib/libxml2.xml
===================================================================
--- general/genlib/libxml2.xml	(revision 6b7881dd6b3228758ace96e7c5eb5abfd1dae5a9)
+++ general/genlib/libxml2.xml	(revision 60ddbaf3c27e8a0ef935630df3ce3fe361c84e13)
@@ -92,9 +92,9 @@
     <bridgehead renderas="sect3">libxml2 Dependencies</bridgehead>
 
-    <bridgehead renderas="sect4">Recommended</bridgehead>
-    <para role="recommended">
-      <xref linkend="python2"/> or <xref linkend="python3"/> (to build and
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para role="optional">
+      <xref linkend="python2"/> <!--or <xref linkend="python3"/> (to build and
       install a <application>Python</application> library module, additionally
-      it is required to run the full suite of tests)
+      it is required to run the full suite of tests)-->
       <!-- As discovered by Bruce, itstool needs this module. -->
     </para>
@@ -136,5 +136,9 @@
     </para>
 
-<screen><userinput>./configure --prefix=/usr --disable-static --with-history &amp;&amp;
+<screen><userinput>
+./configure --prefix=/usr    \
+            --disable-static \
+            --with-history   \
+            --with-python=/usr/bin/python3 &amp;&amp;
 make</userinput></screen>
 
Index: general/genlib/talloc.xml
===================================================================
--- general/genlib/talloc.xml	(revision 6b7881dd6b3228758ace96e7c5eb5abfd1dae5a9)
+++ general/genlib/talloc.xml	(revision 60ddbaf3c27e8a0ef935630df3ce3fe361c84e13)
@@ -77,7 +77,6 @@
       <xref linkend="DocBook"/>,
       <xref linkend="docbook-xsl"/> and
-      <xref linkend="libxslt"/> (To generate man pages),
-      <xref linkend="python2"/> (To build Python-2 module) and
-      <xref linkend="python3"/> (To build Python-3 module)
+      <xref linkend="libxslt"/> (To generate man pages), and
+      <xref linkend="python2"/> (To build Python-2 module)
     </para>
 
Index: general/genlib/wayland.xml
===================================================================
--- general/genlib/wayland.xml	(revision 6b7881dd6b3228758ace96e7c5eb5abfd1dae5a9)
+++ general/genlib/wayland.xml	(revision 60ddbaf3c27e8a0ef935630df3ce3fe361c84e13)
@@ -76,5 +76,4 @@
     <bridgehead renderas="sect4">Required</bridgehead>
     <para role="required">
-      <xref linkend="libffi"/> and
       <xref linkend="libxml2"/>
     </para>
Index: general/genutils/asciidoc.xml
===================================================================
--- general/genutils/asciidoc.xml	(revision 6b7881dd6b3228758ace96e7c5eb5abfd1dae5a9)
+++ general/genutils/asciidoc.xml	(revision 60ddbaf3c27e8a0ef935630df3ce3fe361c84e13)
@@ -61,8 +61,7 @@
     <bridgehead renderas="sect3">Asciidoc Dependencies</bridgehead>
 
-    <bridgehead renderas="sect4">Required</bridgehead>
-    <para role="required">
-      <xref linkend="python2"/> or
-      <xref linkend="python3"/>
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para role="optional">
+      <xref linkend="python2"/> 
     </para>
 
Index: general/genutils/ibus.xml
===================================================================
--- general/genutils/ibus.xml	(revision 6b7881dd6b3228758ace96e7c5eb5abfd1dae5a9)
+++ general/genutils/ibus.xml	(revision 60ddbaf3c27e8a0ef935630df3ce3fe361c84e13)
@@ -93,5 +93,4 @@
       <xref linkend="pygobject3"/> (both to build the Python support library),
       <xref linkend="gtk-doc"/>,
-      <xref linkend="python3"/>,
       <xref linkend="pyxdg"/> (for the <command>ibus-setup</command>), and
       <xref linkend="libxkbcommon"/>,
Index: general/genutils/iso-codes.xml
===================================================================
--- general/genutils/iso-codes.xml	(revision 6b7881dd6b3228758ace96e7c5eb5abfd1dae5a9)
+++ general/genutils/iso-codes.xml	(revision 60ddbaf3c27e8a0ef935630df3ce3fe361c84e13)
@@ -73,10 +73,10 @@
     
     <bridgehead renderas="sect3">ISO Codes Dependencies</bridgehead>
-
+<!--
     <bridgehead renderas="sect4">Required</bridgehead>
     <para role="required">
       <xref linkend="python3"/>
     </para>
-
+-->
     <para condition="html" role="usernotes">User Notes:
       <ulink url="&blfs-wiki;/iso-codes"/>
Index: general/graphlib/exiv2.xml
===================================================================
--- general/graphlib/exiv2.xml	(revision 6b7881dd6b3228758ace96e7c5eb5abfd1dae5a9)
+++ general/graphlib/exiv2.xml	(revision 60ddbaf3c27e8a0ef935630df3ce3fe361c84e13)
@@ -86,6 +86,5 @@
     <para role="optional">
       <xref linkend="doxygen"/>,
-      <xref linkend="graphviz"/>,
-      <xref linkend="python3"/>, and
+      <xref linkend="graphviz"/>, and
       <xref linkend="libxslt"/>
     </para>
Index: general/graphlib/newt.xml
===================================================================
--- general/graphlib/newt.xml	(revision 6b7881dd6b3228758ace96e7c5eb5abfd1dae5a9)
+++ general/graphlib/newt.xml	(revision 60ddbaf3c27e8a0ef935630df3ce3fe361c84e13)
@@ -89,6 +89,5 @@
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional">
-      <xref linkend="python2"/> and
-      <xref linkend="python3"/>
+      <xref linkend="python2"/> 
     </para>
 
Index: general/graphlib/opencv.xml
===================================================================
--- general/graphlib/opencv.xml	(revision 6b7881dd6b3228758ace96e7c5eb5abfd1dae5a9)
+++ general/graphlib/opencv.xml	(revision 60ddbaf3c27e8a0ef935630df3ce3fe361c84e13)
@@ -112,5 +112,4 @@
       <xref linkend="libtiff"/>,
       <xref linkend="libwebp"/>,
-      <xref linkend="python2"/>,
       <xref linkend="v4l-utils"/>, and
       <xref linkend="xine-lib"/>
@@ -122,5 +121,5 @@
       <xref linkend="doxygen"/>,
       <xref linkend="java"/>,
-      <xref linkend="python3"/>,
+      <xref linkend="python2"/>,
       <ulink url="https://developer.nvidia.com/cuda-zone">Cuda</ulink>,
       <ulink url="http://eigen.tuxfamily.org/">Eigen</ulink>,
Index: general/prog/dbus-python.xml
===================================================================
--- general/prog/dbus-python.xml	(revision 6b7881dd6b3228758ace96e7c5eb5abfd1dae5a9)
+++ general/prog/dbus-python.xml	(revision 60ddbaf3c27e8a0ef935630df3ce3fe361c84e13)
@@ -70,7 +70,10 @@
       <bridgehead renderas="sect5">Required</bridgehead>
       <para role="required">
-        <xref linkend="dbus-glib"/> and
-        <xref linkend="python2"/> and/or
-        <xref linkend="python3"/>
+        <xref linkend="dbus-glib"/> 
+      </para>
+
+      <bridgehead renderas="sect5">Optional</bridgehead>
+      <para role="optional">
+        <xref linkend="python2"/>
       </para>
 
Index: general/prog/doxygen.xml
===================================================================
--- general/prog/doxygen.xml	(revision 6b7881dd6b3228758ace96e7c5eb5abfd1dae5a9)
+++ general/prog/doxygen.xml	(revision 60ddbaf3c27e8a0ef935630df3ce3fe361c84e13)
@@ -108,5 +108,5 @@
       <xref linkend="libxml2"/> (required for the tests),
       <xref linkend="llvm"/> (with clang),
-      <xref linkend="python2"/> or <xref linkend="python3"/>,
+      <xref linkend="python2"/>,
       <xref linkend="qt5"/> (for doxywizard),
       <xref linkend="texlive"/> (or <xref linkend="tl-installer"/>), and
Index: general/prog/guile.xml
===================================================================
--- general/prog/guile.xml	(revision 6b7881dd6b3228758ace96e7c5eb5abfd1dae5a9)
+++ general/prog/guile.xml	(revision 60ddbaf3c27e8a0ef935630df3ce3fe361c84e13)
@@ -76,6 +76,5 @@
     <bridgehead renderas="sect4">Required</bridgehead>
     <para role="required">
-      <xref linkend="gc"/>,
-      <xref linkend="libffi"/> and
+      <xref linkend="gc"/> and
       <xref linkend="libunistring"/>
     </para>
Index: general/prog/librep.xml
===================================================================
--- general/prog/librep.xml	(revision 6b7881dd6b3228758ace96e7c5eb5abfd1dae5a9)
+++ general/prog/librep.xml	(revision 60ddbaf3c27e8a0ef935630df3ce3fe361c84e13)
@@ -57,5 +57,5 @@
       </listitem>
     </itemizedlist>
-
+<!--
     <bridgehead renderas="sect3">Librep Dependencies</bridgehead>
 
@@ -64,5 +64,5 @@
       <xref linkend="libffi"/>
     </para>
-
+-->
     <para condition="html" role="usernotes">User Notes:
     <ulink url="&blfs-wiki;/librep"/></para>
Index: general/prog/llvm.xml
===================================================================
--- general/prog/llvm.xml	(revision 6b7881dd6b3228758ace96e7c5eb5abfd1dae5a9)
+++ general/prog/llvm.xml	(revision 60ddbaf3c27e8a0ef935630df3ce3fe361c84e13)
@@ -153,5 +153,4 @@
     <bridgehead renderas="sect4">Recommended</bridgehead>
     <para role="recommended">
-      <xref linkend="libffi"/> and
       <xref linkend="python2"/>
     </para>
Index: general/prog/pycairo.xml
===================================================================
--- general/prog/pycairo.xml	(revision 6b7881dd6b3228758ace96e7c5eb5abfd1dae5a9)
+++ general/prog/pycairo.xml	(revision 60ddbaf3c27e8a0ef935630df3ce3fe361c84e13)
@@ -71,11 +71,10 @@
       <bridgehead renderas="sect5">Required</bridgehead>
       <para role="required">
-        <xref linkend="cairo"/>, 
-        <xref linkend="python2"/>, and/or 
-        <xref linkend="python3"/>
+        <xref linkend="cairo"/> 
       </para>
 
       <bridgehead renderas="sect5">Optional</bridgehead>
       <para role="optional">
+        <xref linkend="python2"/> and
         <ulink url="https://hypothesis.readthedocs.io">Hypothesis</ulink> 
           (for tests)
Index: general/prog/pycrypto.xml
===================================================================
--- general/prog/pycrypto.xml	(revision 6b7881dd6b3228758ace96e7c5eb5abfd1dae5a9)
+++ general/prog/pycrypto.xml	(revision 60ddbaf3c27e8a0ef935630df3ce3fe361c84e13)
@@ -69,8 +69,7 @@
       <bridgehead renderas="sect4">PyCrypto Dependencies</bridgehead>
 
-      <bridgehead renderas="sect5">Required</bridgehead>
-      <para role="required">
-        <xref linkend="python2"/> and/or
-        <xref linkend="python3"/>
+      <bridgehead renderas="sect5">Optional</bridgehead>
+      <para role="optional">
+        <xref linkend="python2"/> 
       </para>
 
Index: general/prog/python2.xml
===================================================================
--- general/prog/python2.xml	(revision 6b7881dd6b3228758ace96e7c5eb5abfd1dae5a9)
+++ general/prog/python2.xml	(revision 60ddbaf3c27e8a0ef935630df3ce3fe361c84e13)
@@ -90,10 +90,10 @@
 
     <bridgehead renderas="sect3">Python 2 Dependencies</bridgehead>
-
+<!--
     <bridgehead renderas="sect4">Recommended</bridgehead>
     <para role="recommended">
       <xref linkend="libffi"/>
     </para>
-
+-->
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional">
@@ -187,6 +187,5 @@
     <para>
       <parameter>--with-system-ffi</parameter>: This switch enables linking
-      against system version of <application>libffi</application>. Remove if
-      you have not installed <xref linkend="libffi"/>.
+      against system version of <application>libffi</application>. 
     </para>
 
Index: general/prog/python3.xml
===================================================================
--- general/prog/python3.xml	(revision 6b7881dd6b3228758ace96e7c5eb5abfd1dae5a9)
+++ general/prog/python3.xml	(revision 60ddbaf3c27e8a0ef935630df3ce3fe361c84e13)
@@ -41,4 +41,8 @@
     </para>
 
+    <note><para><application>Python 3</application> was installed in LFS.
+    The only reason to rebuild it here is if optional modules
+    are needed.</para></note>
+
     &lfs81_checked;
 
@@ -88,10 +92,10 @@
 
     <bridgehead renderas="sect3">Python 3 Dependencies</bridgehead>
-
+<!--
     <bridgehead renderas="sect4">Recommended</bridgehead>
     <para role="recommended">
       <xref linkend="libffi"/>
     </para>
-
+-->
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional">
@@ -187,6 +191,5 @@
     <para>
       <parameter>--with-system-ffi</parameter>: This switch enables linking
-      against system version of <application>libffi</application>. Remove if
-      you have not installed <xref linkend="libffi"/>.
+      against system version of <application>libffi</application>. 
     </para>
 
Index: general/prog/pyxdg.xml
===================================================================
--- general/prog/pyxdg.xml	(revision 6b7881dd6b3228758ace96e7c5eb5abfd1dae5a9)
+++ general/prog/pyxdg.xml	(revision 60ddbaf3c27e8a0ef935630df3ce3fe361c84e13)
@@ -69,8 +69,7 @@
       <bridgehead renderas="sect4">PyXDG Dependencies</bridgehead>
 
-      <bridgehead renderas="sect5">Required</bridgehead>
-      <para role="required">
-        <xref linkend="python2"/> and/or
-        <xref linkend="python3"/>
+      <bridgehead renderas="sect5">Optional</bridgehead>
+      <para role="optional">
+        <xref linkend="python2"/> 
       </para>
 
Index: general/prog/pyyaml.xml
===================================================================
--- general/prog/pyyaml.xml	(revision 6b7881dd6b3228758ace96e7c5eb5abfd1dae5a9)
+++ general/prog/pyyaml.xml	(revision 60ddbaf3c27e8a0ef935630df3ce3fe361c84e13)
@@ -70,7 +70,10 @@
       <bridgehead renderas="sect5">Required</bridgehead>
       <para role="required">
-        <xref linkend="python2"/> and/or
-        <xref linkend="python3"/> and
         <xref linkend="yaml"/>
+      </para>
+
+      <bridgehead renderas="sect5">Optional</bridgehead>
+      <para role="optional">
+        <xref linkend="python2"/> 
       </para>
 
Index: general/prog/ruby.xml
===================================================================
--- general/prog/ruby.xml	(revision 6b7881dd6b3228758ace96e7c5eb5abfd1dae5a9)
+++ general/prog/ruby.xml	(revision 60ddbaf3c27e8a0ef935630df3ce3fe361c84e13)
@@ -79,5 +79,4 @@
       <xref linkend="doxygen"/>,
       <xref linkend="graphviz"/>,
-      <xref linkend="libffi"/>,
       <xref linkend="openssl"/>,
       <xref linkend="tk"/>,
Index: general/prog/rust.xml
===================================================================
--- general/prog/rust.xml	(revision 6b7881dd6b3228758ace96e7c5eb5abfd1dae5a9)
+++ general/prog/rust.xml	(revision 60ddbaf3c27e8a0ef935630df3ce3fe361c84e13)
@@ -101,6 +101,5 @@
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional">
-      <xref linkend="gdb"/> (used by debuginfo-gdb in the testsuite),
-      <xref linkend="ninja"/>
+      <xref linkend="gdb"/> (used by debuginfo-gdb in the testsuite)
     </para>
 
Index: general/prog/six.xml
===================================================================
--- general/prog/six.xml	(revision 6b7881dd6b3228758ace96e7c5eb5abfd1dae5a9)
+++ general/prog/six.xml	(revision 60ddbaf3c27e8a0ef935630df3ce3fe361c84e13)
@@ -68,8 +68,7 @@
       <bridgehead renderas="sect4">Six Dependencies</bridgehead>
 
-      <bridgehead renderas="sect5">Required Dependencies</bridgehead>
-      <para role="required">
-        <xref linkend="python2"/> and/or
-        <xref linkend="python3"/>
+      <bridgehead renderas="sect5">Optional Dependencies</bridgehead>
+      <para role="optional">
+        <xref linkend="python2"/> 
       </para>
 
Index: general/prog/swig.xml
===================================================================
--- general/prog/swig.xml	(revision 6b7881dd6b3228758ace96e7c5eb5abfd1dae5a9)
+++ general/prog/swig.xml	(revision 60ddbaf3c27e8a0ef935630df3ce3fe361c84e13)
@@ -138,6 +138,6 @@
       languages installed on your machine, so the disk space and SBU values
       given for the tests may vary, and should be considered as mere orders of
-      magnitude. If you have both <xref linkend="python2"/> and
-      <xref linkend="python3"/> installed, the Python-3 tests are not run.
+      magnitude. If you have <xref linkend="python2"/> 
+      installed, the Python-3 tests are not run.
       You can run tests for Python-3 by issuing
       <command>PY3=1 make check-python-examples</command> followed by
Index: general/prog/yasm.xml
===================================================================
--- general/prog/yasm.xml	(revision 6b7881dd6b3228758ace96e7c5eb5abfd1dae5a9)
+++ general/prog/yasm.xml	(revision 60ddbaf3c27e8a0ef935630df3ce3fe361c84e13)
@@ -63,5 +63,5 @@
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional">
-      <xref linkend="python2"/> or <xref linkend="python3"/>, and
+      <xref linkend="python2"/> and
       <ulink url="http://cython.org/">Cython</ulink>
     </para>
Index: general/sysutils/systemd.xml
===================================================================
--- general/sysutils/systemd.xml	(revision 6b7881dd6b3228758ace96e7c5eb5abfd1dae5a9)
+++ general/sysutils/systemd.xml	(revision 60ddbaf3c27e8a0ef935630df3ce3fe361c84e13)
@@ -74,7 +74,5 @@
     <bridgehead renderas="sect4">Recommended Runtime Dependencies</bridgehead>
     <para role="recommended">
-      <xref role="runtime" linkend="polkit"/> and
-      <xref role="runtime" linkend="python3"/> (also required for the
-       test suite)<!-- hwdb  and tests -->
+      <xref role="runtime" linkend="polkit"/> 
     </para>
 
Index: general/sysutils/upower.xml
===================================================================
--- general/sysutils/upower.xml	(revision 6b7881dd6b3228758ace96e7c5eb5abfd1dae5a9)
+++ general/sysutils/upower.xml	(revision 60ddbaf3c27e8a0ef935630df3ce3fe361c84e13)
@@ -91,5 +91,4 @@
     <para role="optional">
       <xref linkend="gtk-doc"/> and
-      <xref linkend="python3"/>, with
       <xref linkend="pygobject3"/>,
       <ulink url="https://launchpad.net/umockdev/">umockdev</ulink>, and
Index: gnome/platform/folks.xml
===================================================================
--- gnome/platform/folks.xml	(revision 6b7881dd6b3228758ace96e7c5eb5abfd1dae5a9)
+++ gnome/platform/folks.xml	(revision 60ddbaf3c27e8a0ef935630df3ce3fe361c84e13)
@@ -86,6 +86,5 @@
     <bridgehead renderas="sect4">Recommended</bridgehead>
     <para role="recommended">
-      <xref linkend="bluez"/>,
-      <xref linkend="python3"/>, and
+      <xref linkend="bluez"/> and
       <xref linkend="vala"/>
     </para>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 6b7881dd6b3228758ace96e7c5eb5abfd1dae5a9)
+++ introduction/welcome/changelog.xml	(revision 60ddbaf3c27e8a0ef935630df3ce3fe361c84e13)
@@ -47,4 +47,8 @@
       <itemizedlist>
         <listitem>
+          <para>[bdubbs] - Remove ninja, libffi, and python3 as dependencies 
+          for many packages as they are now a part of LFS.</para>
+        </listitem>
+        <listitem>
           <para>[pierre] - Fix colord-1.3.5 build for SysV.</para>
         </listitem>
Index: multimedia/libdriv/flashplayer.xml
===================================================================
--- multimedia/libdriv/flashplayer.xml	(revision 6b7881dd6b3228758ace96e7c5eb5abfd1dae5a9)
+++ multimedia/libdriv/flashplayer.xml	(revision 60ddbaf3c27e8a0ef935630df3ce3fe361c84e13)
@@ -130,5 +130,4 @@
       <xref linkend="graphite2"/>,
       <xref linkend="gtk2"/>,
-      <xref linkend="libffi"/>,
       <xref linkend="pcre"/>,
       <xref linkend="mesa"/>, and
Index: networking/netprogs/samba.xml
===================================================================
--- networking/netprogs/samba.xml	(revision 6b7881dd6b3228758ace96e7c5eb5abfd1dae5a9)
+++ networking/netprogs/samba.xml	(revision 60ddbaf3c27e8a0ef935630df3ce3fe361c84e13)
@@ -75,5 +75,4 @@
       <xref linkend="perl-parse-yapp"/>,
       <xref linkend="pycrypto"/>,
-      <xref linkend="python3"/>,
       <xref linkend="openldap"/>, and
       <xref linkend="openssl"/> <!-- This can be removed at openldap-2.4.45.-->
Index: networking/netprogs/wget.xml
===================================================================
--- networking/netprogs/wget.xml	(revision 6b7881dd6b3228758ace96e7c5eb5abfd1dae5a9)
+++ networking/netprogs/wget.xml	(revision 60ddbaf3c27e8a0ef935630df3ce3fe361c84e13)
@@ -78,6 +78,5 @@
     <para role="recommended">
       <xref role="runtime" linkend="cacerts"/> (runtime),
-      <xref linkend="openssl"/>, and 
-      <xref linkend="python3"/>
+      <xref linkend="openssl"/>
     </para>
 
Index: packages.ent
===================================================================
--- packages.ent	(revision 6b7881dd6b3228758ace96e7c5eb5abfd1dae5a9)
+++ packages.ent	(revision 60ddbaf3c27e8a0ef935630df3ce3fe361c84e13)
@@ -135,5 +135,5 @@
 <!ENTITY libepoxy-version             "&libepoxy-minor;.3">
 <!ENTITY libesmtp-version             "1.0.6">
-<!ENTITY libffi-version               "3.2.1">
+<!--<!ENTITY libffi-version               "3.2.1">-->
 <!ENTITY libgcrypt-version            "1.8.1">
 <!ENTITY libglade-version             "2.6.4">
Index: postlfs/security/gpgme.xml
===================================================================
--- postlfs/security/gpgme.xml	(revision 6b7881dd6b3228758ace96e7c5eb5abfd1dae5a9)
+++ postlfs/security/gpgme.xml	(revision 60ddbaf3c27e8a0ef935630df3ce3fe361c84e13)
@@ -89,5 +89,4 @@
       <xref linkend="clisp"/>, 
       <xref linkend="python2"/>, 
-      <xref linkend="python3"/>,
       <xref linkend="qt5"/>, and/or
       <xref linkend="swig"/> (for language bindings)
Index: postlfs/security/p11-kit.xml
===================================================================
--- postlfs/security/p11-kit.xml	(revision 6b7881dd6b3228758ace96e7c5eb5abfd1dae5a9)
+++ postlfs/security/p11-kit.xml	(revision 60ddbaf3c27e8a0ef935630df3ce3fe361c84e13)
@@ -75,7 +75,6 @@
     <bridgehead renderas="sect4">Recommended</bridgehead>
     <para role="recommended">
-      <xref linkend="cacerts"/>,
-      <xref linkend="libtasn1"/>, and
-      <xref linkend="libffi"/>
+      <xref linkend="cacerts"/> and
+      <xref linkend="libtasn1"/>
     </para>
 
Index: postlfs/security/volume_key.xml
===================================================================
--- postlfs/security/volume_key.xml	(revision 6b7881dd6b3228758ace96e7c5eb5abfd1dae5a9)
+++ postlfs/security/volume_key.xml	(revision 60ddbaf3c27e8a0ef935630df3ce3fe361c84e13)
@@ -96,10 +96,10 @@
       <xref linkend="python2"/>
     </para>
-
+<!--
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional">
       <xref linkend="python3"/>
     </para>
-
+-->
     <para condition="html" role="usernotes">User Notes:
       <ulink url="&blfs-wiki;/volume_key"/>
Index: pst/ps/mupdf.xml
===================================================================
--- pst/ps/mupdf.xml	(revision 6b7881dd6b3228758ace96e7c5eb5abfd1dae5a9)
+++ pst/ps/mupdf.xml	(revision 60ddbaf3c27e8a0ef935630df3ce3fe361c84e13)
@@ -83,5 +83,5 @@
         <para>
           Recommended patch:
-          <ulink url="&patch-root;/mupdf-&mupdf-version;-openjpeg-2.patch"/>
+          <ulink url="&patch-root;/mupdf-&mupdf-version;-openjpeg-3.patch"/>
         </para>
       </listitem>
Index: pst/xml/docbook-xsl.xml
===================================================================
--- pst/xml/docbook-xsl.xml	(revision 6b7881dd6b3228758ace96e7c5eb5abfd1dae5a9)
+++ pst/xml/docbook-xsl.xml	(revision 60ddbaf3c27e8a0ef935630df3ce3fe361c84e13)
@@ -88,6 +88,5 @@
       <xref linkend="libxslt"/> (or any other XSLT processor, to process
       Docbook documents),
-      <xref linkend="python2"/> or <xref linkend="python3"/> (to use
-      <quote>extensions</quote>),
+      <xref linkend="python2"/>, 
       <xref linkend="ruby"/> (to utilize the <quote>epub</quote> stylesheets),
       <xref linkend="zip"/> (to produce <quote>epub3</quote> documents), and
Index: x/installing/libevdev.xml
===================================================================
--- x/installing/libevdev.xml	(revision 6b7881dd6b3228758ace96e7c5eb5abfd1dae5a9)
+++ x/installing/libevdev.xml	(revision 60ddbaf3c27e8a0ef935630df3ce3fe361c84e13)
@@ -74,14 +74,15 @@
 
       <bridgehead renderas="sect4">libevdev Dependencies</bridgehead>
-
+<!--
       <bridgehead renderas="sect5">Required</bridgehead>
       <para role="required">
         <xref linkend="python2"/> or <xref linkend="python3"/>
       </para>
-
+-->
       <bridgehead renderas="sect5">Optional</bridgehead>
       <para role="optional">
         <xref linkend="check"/> (required for tests),
-        <xref linkend="doxygen"/>, and
+        <xref linkend="doxygen"/>, 
+        <xref linkend="python2"/>, and
         <xref linkend="valgrind"/> (optional for tests)
       </para>
Index: x/installing/xcb-proto.xml
===================================================================
--- x/installing/xcb-proto.xml	(revision 6b7881dd6b3228758ace96e7c5eb5abfd1dae5a9)
+++ x/installing/xcb-proto.xml	(revision 60ddbaf3c27e8a0ef935630df3ce3fe361c84e13)
@@ -78,13 +78,13 @@
     <bridgehead renderas="sect4">Required</bridgehead>
     <para role="required">
-      <xref linkend="python2"/> or
-      <xref linkend="python3"/>, and
       <xref linkend="xorg-env"/> (should be set for the following instructions
       to work)
     </para>
 
-    <bridgehead renderas="sect4">Optional (required to run the
-    tests)</bridgehead>
-    <para role="optional"><xref linkend="libxml2"/></para>
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para role="optional">
+      <xref linkend="python2"/> and
+      <xref linkend="libxml2"/> (required to run the tests)
+     </para>
 
     <para condition="html" role="usernotes">User Notes:
Index: x/lib/qtwebengine.xml
===================================================================
--- x/lib/qtwebengine.xml	(revision 6b7881dd6b3228758ace96e7c5eb5abfd1dae5a9)
+++ x/lib/qtwebengine.xml	(revision 60ddbaf3c27e8a0ef935630df3ce3fe361c84e13)
@@ -42,5 +42,5 @@
       <application>QtWebEngine</application> integrates
       <application>chromium</application>&quot;s web capabilities into Qt. It
-      ships with its own copy of <xref linkend="ninja"/> which it uses for the
+      ships with its own copy of ninja which it uses for the
       build, and various copies of libraries from ffmpeg, icu, libvpx, and zlib
       (including libminizip) which have been forked by the
Index: xsoft/office/libreoffice.xml
===================================================================
--- xsoft/office/libreoffice.xml	(revision 6b7881dd6b3228758ace96e7c5eb5abfd1dae5a9)
+++ xsoft/office/libreoffice.xml	(revision 60ddbaf3c27e8a0ef935630df3ce3fe361c84e13)
@@ -197,5 +197,4 @@
       <xref linkend="poppler"/>,
       <xref linkend="postgresql"/>,
-      <xref linkend="python3"/>,
       <xref linkend="redland"/>,
       <xref linkend="serf"/>, and