Index: basicnet/mailnews/fetchmail.xml
===================================================================
--- basicnet/mailnews/fetchmail.xml	(revision b714def5dba610772d768500de73ff7dc2e3da71)
+++ basicnet/mailnews/fetchmail.xml	(revision 061ec9d0326e38256cdab4be40bd3109ada31635)
@@ -70,4 +70,7 @@
     <para role="optional"><xref linkend="python"/> and <xref linkend="tk"/></para>
 
+    <para condition="html" role="usernotes">User Notes:
+    <ulink url="&blfs-wiki;/fetchmail"/></para>
+
   </sect2>
 
@@ -125,5 +128,5 @@
 
 poll SERVERNAME :
-    user <replaceable>[username]</replaceable> pass <replaceable>[password]</replaceable>;
+    user <replaceable>&lt;username&gt;</replaceable> pass <replaceable>&lt;password&gt;</replaceable>;
     mda "/usr/bin/procmail -f %F -d %T";</literal>
 EOF
Index: basicnet/mailnews/mailx.xml
===================================================================
--- basicnet/mailnews/mailx.xml	(revision b714def5dba610772d768500de73ff7dc2e3da71)
+++ basicnet/mailnews/mailx.xml	(revision 061ec9d0326e38256cdab4be40bd3109ada31635)
@@ -72,4 +72,7 @@
     authentication), and an
     <ulink url="../server/mail.html">MTA</ulink></para>
+
+    <para condition="html" role="usernotes">User Notes:
+    <ulink url="&blfs-wiki;/mailx"/></para>
 
   </sect2>
Index: basicnet/mailnews/mutt.xml
===================================================================
--- basicnet/mailnews/mutt.xml	(revision b714def5dba610772d768500de73ff7dc2e3da71)
+++ basicnet/mailnews/mutt.xml	(revision 061ec9d0326e38256cdab4be40bd3109ada31635)
@@ -74,4 +74,7 @@
       <ulink url="http://www.gnu.org/software/gdb/gdb.html">GDB</ulink></para>
 
+    <para condition="html" role="usernotes">User Notes:
+    <ulink url="&blfs-wiki;/mutt"/></para>
+
   </sect2>
 
Index: basicnet/mailnews/pine.xml
===================================================================
--- basicnet/mailnews/pine.xml	(revision b714def5dba610772d768500de73ff7dc2e3da71)
+++ basicnet/mailnews/pine.xml	(revision 061ec9d0326e38256cdab4be40bd3109ada31635)
@@ -77,4 +77,7 @@
     <para role="optional"><xref linkend="openldap"/> and <xref linkend="mitkrb"/></para>
 
+    <para condition="html" role="usernotes">User Notes:
+    <ulink url="&blfs-wiki;/pine"/></para>
+
   </sect2>
 
Index: basicnet/mailnews/procmail.xml
===================================================================
--- basicnet/mailnews/procmail.xml	(revision b714def5dba610772d768500de73ff7dc2e3da71)
+++ basicnet/mailnews/procmail.xml	(revision 061ec9d0326e38256cdab4be40bd3109ada31635)
@@ -58,4 +58,7 @@
       </listitem>
     </itemizedlist>
+
+    <para condition="html" role="usernotes">User Notes:
+    <ulink url="&blfs-wiki;/procmail"/></para>
 
   </sect2>
Index: basicnet/mailnews/slrn.xml
===================================================================
--- basicnet/mailnews/slrn.xml	(revision b714def5dba610772d768500de73ff7dc2e3da71)
+++ basicnet/mailnews/slrn.xml	(revision 061ec9d0326e38256cdab4be40bd3109ada31635)
@@ -74,4 +74,7 @@
     <ulink url="http://homepage.mac.com/imeowbot/iblog/C1355421991/">libcanlock</ulink></para>
 
+    <para condition="html" role="usernotes">User Notes:
+    <ulink url="&blfs-wiki;/slrn"/></para>
+
   </sect2>
 
@@ -144,5 +147,5 @@
       command:</para>
 
-<screen><userinput>NNTPSERVER=<replaceable>news.linuxfromscratch.org</replaceable> \
+<screen><userinput>NNTPSERVER=<replaceable>&lt;news.linuxfromscratch.org&gt;</replaceable> \
     slrn -f ~/.jnewsrc --create</userinput></screen>
 
Index: basicnet/netlibs/curl.xml
===================================================================
--- basicnet/netlibs/curl.xml	(revision b714def5dba610772d768500de73ff7dc2e3da71)
+++ basicnet/netlibs/curl.xml	(revision 061ec9d0326e38256cdab4be40bd3109ada31635)
@@ -80,4 +80,7 @@
     the shared library)</para>
 
+    <para condition="html" role="usernotes">User Notes:
+    <ulink url="&blfs-wiki;/curl"/></para>
+
   </sect2>
 
@@ -127,5 +130,5 @@
       <seglistitem>
         <seg>curl and curl-config</seg>
-        <seg>libcurl.[so,a]</seg>
+        <seg>libcurl.{so,a}</seg>
         <seg>/usr/include/curl, /usr/share/curl
         and /usr/share/doc/curl-&curl-version;</seg>
@@ -163,10 +166,10 @@
 
       <varlistentry id="libcurl">
-        <term><filename class='libraryfile'>libcurl.[so,a]</filename></term>
+        <term><filename class='libraryfile'>libcurl.{so,a}</filename></term>
         <listitem>
           <para>provides the API functions required by
           <command>curl</command> and other programs.</para>
           <indexterm zone="curl libcurl">
-            <primary sortas="c-libcurl">libcurl.[so,a]</primary>
+            <primary sortas="c-libcurl">libcurl.{so,a}</primary>
           </indexterm>
         </listitem>
Index: basicnet/netlibs/gnet.xml
===================================================================
--- basicnet/netlibs/gnet.xml	(revision b714def5dba610772d768500de73ff7dc2e3da71)
+++ basicnet/netlibs/gnet.xml	(revision 061ec9d0326e38256cdab4be40bd3109ada31635)
@@ -65,4 +65,7 @@
     <para role="required"><xref linkend="GLib"/> or <xref linkend="glib2"/></para>
 
+    <para condition="html" role="usernotes">User Notes:
+    <ulink url="&blfs-wiki;/gnet"/></para>
+
   </sect2>
 
@@ -94,5 +97,5 @@
       <seglistitem>
         <seg>None</seg>
-        <seg>libgnet-2.0.[so,a]</seg>
+        <seg>libgnet-2.0.{so,a}</seg>
         <seg>/usr/include/gnet-2.0, /usr/lib/gnet-2.0 and
         /usr/share/doc/libgnet2.0-dev or /usr/share/gtk-doc/html/gnet</seg>
@@ -106,5 +109,5 @@
 
       <varlistentry id="libgnet">
-        <term><filename class='libraryfile'>libgnet-2.0.[so,a]</filename></term>
+        <term><filename class='libraryfile'>libgnet-2.0.{so,a}</filename></term>
         <listitem>
           <para>is a simple network library written in C. It is
@@ -112,5 +115,5 @@
           intended to be easy to use and port.</para>
           <indexterm zone="gnet libgnet">
-            <primary sortas="c-libgnet-2.0">libgnet-2.0.[so,a]</primary>
+            <primary sortas="c-libgnet-2.0">libgnet-2.0.{so,a}</primary>
           </indexterm>
         </listitem>
Index: basicnet/netlibs/libpcap.xml
===================================================================
--- basicnet/netlibs/libpcap.xml	(revision b714def5dba610772d768500de73ff7dc2e3da71)
+++ basicnet/netlibs/libpcap.xml	(revision 061ec9d0326e38256cdab4be40bd3109ada31635)
@@ -68,4 +68,7 @@
     network monitoring cards.</para>
 
+    <para condition="html" role="usernotes">User Notes:
+    <ulink url="&blfs-wiki;/libpcap"/></para>
+
   </sect2>
 
Index: basicnet/netlibs/libsoup.xml
===================================================================
--- basicnet/netlibs/libsoup.xml	(revision b714def5dba610772d768500de73ff7dc2e3da71)
+++ basicnet/netlibs/libsoup.xml	(revision 061ec9d0326e38256cdab4be40bd3109ada31635)
@@ -75,4 +75,7 @@
     </para>
 
+    <para condition="html" role="usernotes">User Notes:
+    <ulink url="&blfs-wiki;/libsoup"/></para>
+
   </sect2>
 
@@ -104,5 +107,5 @@
       <seglistitem>
         <seg>None</seg>
-        <seg>libsoup-2.2.[so,a]</seg>
+        <seg>libsoup-2.2.{so,a}</seg>
         <seg>/usr/include/libsoup-2.2 and /usr/share/gtk-doc/html/libsoup</seg>
       </seglistitem>
@@ -115,9 +118,9 @@
 
       <varlistentry id="libsoup-lib">
-        <term><filename class='libraryfile'>libsoup-2.2.[so,a]</filename></term>
+        <term><filename class='libraryfile'>libsoup-2.2.{so,a}</filename></term>
         <listitem>
           <para>provides functions for asynchronous HTTP connections.</para>
           <indexterm zone="libsoup libsoup-lib">
-            <primary sortas="c-libsoup-2.2">libsoup-2.2.[so,a]</primary>
+            <primary sortas="c-libsoup-2.2">libsoup-2.2.{so,a}</primary>
           </indexterm>
         </listitem>
Index: basicnet/netlibs/wvstreams.xml
===================================================================
--- basicnet/netlibs/wvstreams.xml	(revision b714def5dba610772d768500de73ff7dc2e3da71)
+++ basicnet/netlibs/wvstreams.xml	(revision 061ec9d0326e38256cdab4be40bd3109ada31635)
@@ -83,5 +83,5 @@
     <xref linkend="libvorbis"/>,
     <xref linkend="doxygen"/>,
-    <ulink url="http://www.fftw.org/">FFTW-2.<replaceable>X</replaceable></ulink>,
+    <ulink url="http://www.fftw.org/">FFTW-2.<replaceable>&lt;X&gt;</replaceable></ulink>,
     <ulink url="http://www.swig.org">SWIG</ulink>,
     <ulink url="http://qdbm.sourceforge.net/">QDBM</ulink>,
@@ -91,4 +91,7 @@
     <ulink url="http://perens.com/FreeSoftware/">Electric Fence</ulink></para>
 
+    <para condition="html" role="usernotes">User Notes:
+    <ulink url="&blfs-wiki;/wvstreams"/></para>
+
   </sect2>
 
@@ -174,7 +177,7 @@
       <seglistitem>
         <seg>uni and uniconfd</seg>
-        <seg>libuniconf.[so,a], libwvbase.[so,a], libwvfft.[so,a],
-        libwvoggspeex.[so,a], libwvoggvorbis.[so,a], libwvqt.[so,a],
-        libwvstreams.[so,a], libwvtelephony.[so,a], libwvutils.[so,a] and
+        <seg>libuniconf.{so,a}, libwvbase.{so,a}, libwvfft.{so,a},
+        libwvoggspeex.{so,a}, libwvoggvorbis.{so,a}, libwvqt.{so,a},
+        libwvstreams.{so,a}, libwvtelephony.{so,a}, libwvutils.{so,a} and
         libxplc-cxx.a</seg>
         <seg>/usr/include/wvstreams, /usr/share/doc/wvstreams-&wvstreams-version; and
@@ -209,10 +212,10 @@
 
       <varlistentry id="libuniconf">
-        <term><filename class='libraryfile'>libuniconf.[so,a]</filename></term>
+        <term><filename class='libraryfile'>libuniconf.{so,a}</filename></term>
         <listitem>
           <para>contains functions that define a hierarchical registry
           abstraction in the UniConf configuration system.</para>
           <indexterm zone="wvstreams libuniconf">
-            <primary sortas="c-libuniconf">libuniconf.[so,a]</primary>
+            <primary sortas="c-libuniconf">libuniconf.{so,a}</primary>
           </indexterm>
         </listitem>
@@ -220,9 +223,9 @@
 
       <varlistentry id="libwvbase">
-        <term><filename class='libraryfile'>libwvbase.[so,a]</filename></term>
+        <term><filename class='libraryfile'>libwvbase.{so,a}</filename></term>
         <listitem>
           <para>contains the Base64 encoder and decoder implementations functions.</para>
           <indexterm zone="wvstreams libwvbase">
-            <primary sortas="c-libwvbase">libwvbase.[so,a]</primary>
+            <primary sortas="c-libwvbase">libwvbase.{so,a}</primary>
           </indexterm>
         </listitem>
@@ -230,5 +233,5 @@
 
       <varlistentry id="libwvfft">
-        <term><filename class='libraryfile'>libwvfft.[so,a]</filename></term>
+        <term><filename class='libraryfile'>libwvfft.{so,a}</filename></term>
         <listitem>
           <para>enables <application>WvStreams</application> programs to
@@ -237,5 +240,5 @@
           interface.</para>
           <indexterm zone="wvstreams libwvfft">
-            <primary sortas="c-libwvfft">libwvfft.[so,a]</primary>
+            <primary sortas="c-libwvfft">libwvfft.{so,a}</primary>
           </indexterm>
         </listitem>
@@ -243,5 +246,5 @@
 
       <varlistentry id="libwvoggspeex">
-        <term><filename class='libraryfile'>libwvoggspeex.[so,a]</filename></term>
+        <term><filename class='libraryfile'>libwvoggspeex.{so,a}</filename></term>
         <listitem>
           <para>enables quick and painless creation of audio streams using
@@ -249,5 +252,5 @@
           IP CODEC.</para>
           <indexterm zone="wvstreams libwvoggspeex">
-            <primary sortas="c-libwvoggspeex">libwvoggspeex.[so,a]</primary>
+            <primary sortas="c-libwvoggspeex">libwvoggspeex.{so,a}</primary>
           </indexterm>
         </listitem>
@@ -255,10 +258,10 @@
 
       <varlistentry id="libwvoggvorbis">
-        <term><filename class='libraryfile'>libwvoggvorbis.[so,a]</filename></term>
+        <term><filename class='libraryfile'>libwvoggvorbis.{so,a}</filename></term>
         <listitem>
           <para>enables quick and painless creation of audio streams using
           the OggVorbis CODEC.</para>
           <indexterm zone="wvstreams libwvoggvorbis">
-            <primary sortas="c-libwvoggvorbis">libwvoggvorbis.[so,a]</primary>
+            <primary sortas="c-libwvoggvorbis">libwvoggvorbis.{so,a}</primary>
           </indexterm>
         </listitem>
@@ -266,5 +269,5 @@
 
       <varlistentry id="libwvqt">
-        <term><filename class='libraryfile'>libwvqt.[so,a]</filename></term>
+        <term><filename class='libraryfile'>libwvqt.{so,a}</filename></term>
         <listitem>
           <para>enables <application>WvStreams</application> to act as the
@@ -272,5 +275,5 @@
           <application>KDE</application>.</para>
           <indexterm zone="wvstreams libwvqt">
-            <primary sortas="c-libwvqt">libwvqt.[so,a]</primary>
+            <primary sortas="c-libwvqt">libwvqt.{so,a}</primary>
           </indexterm>
         </listitem>
@@ -278,9 +281,9 @@
 
       <varlistentry id="libwvstreams">
-        <term><filename class='libraryfile'>libwvstreams.[so,a]</filename></term>
+        <term><filename class='libraryfile'>libwvstreams.{so,a}</filename></term>
         <listitem>
           <para>provides functions for basic streaming I/O support.</para>
           <indexterm zone="wvstreams libwvstreams">
-            <primary sortas="c-libwvstreams">libwvstreams.[so,a]</primary>
+            <primary sortas="c-libwvstreams">libwvstreams.{so,a}</primary>
           </indexterm>
         </listitem>
@@ -288,10 +291,10 @@
 
       <varlistentry id="libtelephony">
-        <term><filename class='libraryfile'>libtelephony.[so,a]</filename></term>
+        <term><filename class='libraryfile'>libtelephony.{so,a}</filename></term>
         <listitem>
           <para>contains telephony function routines such as echo
           cancellation, dc offset removal, automatic gain control, etc.</para>
           <indexterm zone="wvstreams libtelephony">
-            <primary sortas="c-libtelephony">libtelephony.[so,a]</primary>
+            <primary sortas="c-libtelephony">libtelephony.{so,a}</primary>
           </indexterm>
         </listitem>
@@ -299,10 +302,10 @@
 
       <varlistentry id="libwvutils">
-        <term><filename class='libraryfile'>libwvutils.[so,a]</filename></term>
+        <term><filename class='libraryfile'>libwvutils.{so,a}</filename></term>
         <listitem>
           <para>contains functions required by the
           <application>WvStreams</application> libraries and utility programs.</para>
           <indexterm zone="wvstreams libwvutils">
-            <primary sortas="c-libwvutils">libwvutils.[so,a]</primary>
+            <primary sortas="c-libwvutils">libwvutils.{so,a}</primary>
           </indexterm>
         </listitem>
Index: basicnet/netprogs/cvs.xml
===================================================================
--- basicnet/netprogs/cvs.xml	(revision b714def5dba610772d768500de73ff7dc2e3da71)
+++ basicnet/netprogs/cvs.xml	(revision 061ec9d0326e38256cdab4be40bd3109ada31635)
@@ -82,4 +82,7 @@
     <ulink url="../server/mail.html">MTA</ulink> that provides a
     <command>sendmail</command> command)</para>
+
+    <para condition="html" role="usernotes">User Notes:
+    <ulink url="&blfs-wiki;/cvs"/></para>
 
   </sect2>
Index: basicnet/netprogs/inetutils.xml
===================================================================
--- basicnet/netprogs/inetutils.xml	(revision b714def5dba610772d768500de73ff7dc2e3da71)
+++ basicnet/netprogs/inetutils.xml	(revision 061ec9d0326e38256cdab4be40bd3109ada31635)
@@ -79,4 +79,7 @@
     <xref linkend="heimdal"/> or <xref linkend="mitkrb"/></para>
 
+    <para condition="html" role="usernotes">User Notes:
+    <ulink url="&blfs-wiki;/inetutils"/></para>
+
   </sect2>
 
Index: basicnet/netprogs/ncftp.xml
===================================================================
--- basicnet/netprogs/ncftp.xml	(revision b714def5dba610772d768500de73ff7dc2e3da71)
+++ basicnet/netprogs/ncftp.xml	(revision 061ec9d0326e38256cdab4be40bd3109ada31635)
@@ -61,4 +61,7 @@
       </listitem>
     </itemizedlist>
+
+    <para condition="html" role="usernotes">User Notes:
+    <ulink url="&blfs-wiki;/ncftp"/></para>
 
   </sect2>
Index: basicnet/netprogs/ncpfs.xml
===================================================================
--- basicnet/netprogs/ncpfs.xml	(revision b714def5dba610772d768500de73ff7dc2e3da71)
+++ basicnet/netprogs/ncpfs.xml	(revision 061ec9d0326e38256cdab4be40bd3109ada31635)
@@ -64,4 +64,7 @@
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional"><xref linkend="linux-pam"/> and <xref linkend="php"/></para>
+
+    <para condition="html" role="usernotes">User Notes:
+    <ulink url="&blfs-wiki;/ncpfs"/></para>
 
   </sect2>
@@ -186,5 +189,5 @@
 <literal>ONBOOT="yes"
 SERVICE="ipx"
-FRAME="<replaceable>[802.2]</replaceable>"</literal>
+FRAME="<replaceable>&lt;802.2&gt;</replaceable>"</literal>
 EOF</userinput></screen>
 
Index: basicnet/netprogs/net-tools.xml
===================================================================
--- basicnet/netprogs/net-tools.xml	(revision b714def5dba610772d768500de73ff7dc2e3da71)
+++ basicnet/netprogs/net-tools.xml	(revision 061ec9d0326e38256cdab4be40bd3109ada31635)
@@ -79,4 +79,7 @@
       </listitem>
     </itemizedlist>
+
+    <para condition="html" role="usernotes">User Notes:
+    <ulink url="&blfs-wiki;/net-tools"/></para>
 
   </sect2>
Index: basicnet/netprogs/ntp.xml
===================================================================
--- basicnet/netprogs/ntp.xml	(revision b714def5dba610772d768500de73ff7dc2e3da71)
+++ basicnet/netprogs/ntp.xml	(revision 061ec9d0326e38256cdab4be40bd3109ada31635)
@@ -74,4 +74,7 @@
     <para role="optional"><xref linkend="openssl"/></para>
 
+    <para condition="html" role="usernotes">User Notes:
+    <ulink url="&blfs-wiki;/ntp"/></para>
+
   </sect2>
 
Index: basicnet/netprogs/portmap.xml
===================================================================
--- basicnet/netprogs/portmap.xml	(revision b714def5dba610772d768500de73ff7dc2e3da71)
+++ basicnet/netprogs/portmap.xml	(revision 061ec9d0326e38256cdab4be40bd3109ada31635)
@@ -77,4 +77,7 @@
     <bridgehead renderas="sect4">Required</bridgehead>
     <para role="required"><xref linkend="tcpwrappers"/></para>
+
+    <para condition="html" role="usernotes">User Notes:
+    <ulink url="&blfs-wiki;/portmap"/></para>
 
   </sect2>
Index: basicnet/netprogs/subversion.xml
===================================================================
--- basicnet/netprogs/subversion.xml	(revision b714def5dba610772d768500de73ff7dc2e3da71)
+++ basicnet/netprogs/subversion.xml	(revision 061ec9d0326e38256cdab4be40bd3109ada31635)
@@ -259,5 +259,5 @@
     <filename class="directory">/usr/build</filename>.</para>
 
-    <para><option>--with-neon=<replaceable>[prefix]</replaceable></option>:
+    <para><option>--with-neon=<replaceable>&lt;prefix&gt;</replaceable></option>:
     This option should be used if you wish to use a system-installed version
     of <application>neon</application>.</para>
@@ -411,10 +411,10 @@
 
       <varlistentry id="libsvn_star">
-        <term><filename class='libraryfile'>libsvn_*.[so,a]</filename></term>
+        <term><filename class='libraryfile'>libsvn_*.{so,a}</filename></term>
         <listitem>
           <para>are the support libraries used by the
           <application>Subversion</application> programs.</para>
           <indexterm zone="subversion libsvn_star">
-            <primary sortas="c-libsvn_star">libsvn_*.[so,a]</primary>
+            <primary sortas="c-libsvn_star">libsvn_*.{so,a}</primary>
           </indexterm>
         </listitem>
@@ -422,10 +422,10 @@
 
       <varlistentry id="libneon">
-        <term><filename class='libraryfile'>libneon.[so,a]</filename></term>
+        <term><filename class='libraryfile'>libneon.{so,a}</filename></term>
         <listitem>
           <para>is used as a high-level interface to common
           HTTP and WebDAV methods.</para>
           <indexterm zone="subversion libneon">
-            <primary sortas="c-libneon">libneon.[so,a]</primary>
+            <primary sortas="c-libneon">libneon.{so,a}</primary>
           </indexterm>
         </listitem>
Index: basicnet/netprogs/tcpwrappers.xml
===================================================================
--- basicnet/netprogs/tcpwrappers.xml	(revision b714def5dba610772d768500de73ff7dc2e3da71)
+++ basicnet/netprogs/tcpwrappers.xml	(revision 061ec9d0326e38256cdab4be40bd3109ada31635)
@@ -69,4 +69,7 @@
     </itemizedlist>
 
+    <para condition="html" role="usernotes">User Notes:
+    <ulink url="&blfs-wiki;/tcpwrappers"/></para>
+
   </sect2>
 
@@ -159,5 +162,5 @@
       <seglistitem>
         <seg>tcpd, tcpdchk, tcpdmatch, try-from, and safe_finger</seg>
-        <seg>libwrap.[so,a]</seg>
+        <seg>libwrap.{so,a}</seg>
         <seg>None</seg>
       </seglistitem>
@@ -226,5 +229,5 @@
 
       <varlistentry id="libwrap">
-        <term><filename class='libraryfile'>libwrap.[so,a]</filename></term>
+        <term><filename class='libraryfile'>libwrap.{so,a}</filename></term>
         <listitem>
           <para>contains the API functions required by
@@ -232,5 +235,5 @@
           to become <quote><application>tcpwrappers</application>-aware</quote>.</para>
           <indexterm zone="tcpwrappers libwrap">
-            <primary sortas="c-libwrap">libwrap.[so,a]</primary>
+            <primary sortas="c-libwrap">libwrap.{so,a}</primary>
           </indexterm>
         </listitem>
Index: basicnet/netprogs/wget.xml
===================================================================
--- basicnet/netprogs/wget.xml	(revision b714def5dba610772d768500de73ff7dc2e3da71)
+++ basicnet/netprogs/wget.xml	(revision 061ec9d0326e38256cdab4be40bd3109ada31635)
@@ -64,4 +64,7 @@
     <para role="optional"><xref linkend="openssl"/> and
     <ulink url="http://www.inet.no/dante/">Dante</ulink></para>
+
+    <para condition="html" role="usernotes">User Notes:
+    <ulink url="&blfs-wiki;/wget"/></para>
 
   </sect2>
Index: basicnet/netutils/bind-utils.xml
===================================================================
--- basicnet/netutils/bind-utils.xml	(revision b714def5dba610772d768500de73ff7dc2e3da71)
+++ basicnet/netutils/bind-utils.xml	(revision 061ec9d0326e38256cdab4be40bd3109ada31635)
@@ -71,4 +71,7 @@
     <para role="optional"><xref linkend="openssl"/></para>
 
+    <para condition="html" role="usernotes">User Notes:
+    <ulink url="&blfs-wiki;/bind-utils"/></para>
+
   </sect2>
 
Index: basicnet/netutils/ethereal.xml
===================================================================
--- basicnet/netutils/ethereal.xml	(revision b714def5dba610772d768500de73ff7dc2e3da71)
+++ basicnet/netutils/ethereal.xml	(revision 061ec9d0326e38256cdab4be40bd3109ada31635)
@@ -93,4 +93,7 @@
     <xref linkend="fop"/></para>
 
+    <para condition="html" role="usernotes">User Notes:
+    <ulink url="&blfs-wiki;/ethereal"/></para>
+
   </sect2>
 
Index: basicnet/netutils/nmap.xml
===================================================================
--- basicnet/netutils/nmap.xml	(revision b714def5dba610772d768500de73ff7dc2e3da71)
+++ basicnet/netutils/nmap.xml	(revision 061ec9d0326e38256cdab4be40bd3109ada31635)
@@ -68,4 +68,7 @@
     <xref linkend="libpcap"/></para>
 
+    <para condition="html" role="usernotes">User Notes:
+    <ulink url="&blfs-wiki;/nmap"/></para>
+
   </sect2>
 
Index: basicnet/netutils/traceroute.xml
===================================================================
--- basicnet/netutils/traceroute.xml	(revision b714def5dba610772d768500de73ff7dc2e3da71)
+++ basicnet/netutils/traceroute.xml	(revision 061ec9d0326e38256cdab4be40bd3109ada31635)
@@ -61,4 +61,7 @@
       </listitem>
     </itemizedlist>
+
+    <para condition="html" role="usernotes">User Notes:
+    <ulink url="&blfs-wiki;/traceroute"/></para>
 
   </sect2>
Index: basicnet/netutils/whois.xml
===================================================================
--- basicnet/netutils/whois.xml	(revision b714def5dba610772d768500de73ff7dc2e3da71)
+++ basicnet/netutils/whois.xml	(revision 061ec9d0326e38256cdab4be40bd3109ada31635)
@@ -60,4 +60,7 @@
     </itemizedlist>
 
+    <para condition="html" role="usernotes">User Notes:
+    <ulink url="&blfs-wiki;/whois"/></para>
+
   </sect2>
 
Index: basicnet/textweb/links.xml
===================================================================
--- basicnet/textweb/links.xml	(revision b714def5dba610772d768500de73ff7dc2e3da71)
+++ basicnet/textweb/links.xml	(revision 061ec9d0326e38256cdab4be40bd3109ada31635)
@@ -73,4 +73,7 @@
     <ulink url="http://www.directfb.org/">DirectFB</ulink>, and
     <xref linkend="x-window-system"/></para>
+
+    <para condition="html" role="usernotes">User Notes:
+    <ulink url="&blfs-wiki;/links"/></para>
 
   </sect2>
Index: basicnet/textweb/lynx.xml
===================================================================
--- basicnet/textweb/lynx.xml	(revision b714def5dba610772d768500de73ff7dc2e3da71)
+++ basicnet/textweb/lynx.xml	(revision 061ec9d0326e38256cdab4be40bd3109ada31635)
@@ -74,4 +74,7 @@
     <ulink url="http://www.gnu.org/software/sharutils/">sharutils</ulink></para>
 
+    <para condition="html" role="usernotes">User Notes:
+    <ulink url="&blfs-wiki;/lynx"/></para>
+
   </sect2>
 
Index: basicnet/textweb/w3m.xml
===================================================================
--- basicnet/textweb/w3m.xml	(revision b714def5dba610772d768500de73ff7dc2e3da71)
+++ basicnet/textweb/w3m.xml	(revision 061ec9d0326e38256cdab4be40bd3109ada31635)
@@ -74,4 +74,7 @@
     <ulink url="http://packages.debian.org/unstable/text/nkf">nkf</ulink>,
     a Mail User Agent and an External Browser</para>
+
+    <para condition="html" role="usernotes">User Notes:
+    <ulink url="&blfs-wiki;/w3m"/></para>
 
   </sect2>