Index: general.ent
===================================================================
--- general.ent	(revision fee64868e0afb5608b59b9355943e163ad6dc0e1)
+++ general.ent	(revision 62a5037e46590f8298fb2965ac76e51194aec472)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "14">                   <!-- Always 2 digits -->
+<!ENTITY day          "15">                   <!-- Always 2 digits -->
 <!ENTITY month        "02">                   <!-- Always 2 digits -->
 <!ENTITY year         "2020">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "February 14th, &year;">
+<!ENTITY releasedate  "February 15th, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: general/genlib/glib2.xml
===================================================================
--- general/genlib/glib2.xml	(revision fee64868e0afb5608b59b9355943e163ad6dc0e1)
+++ general/genlib/glib2.xml	(revision 62a5037e46590f8298fb2965ac76e51194aec472)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs90_checked;
+    &lfs91_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/genlib/gobject-introspection.xml
===================================================================
--- general/genlib/gobject-introspection.xml	(revision fee64868e0afb5608b59b9355943e163ad6dc0e1)
+++ general/genlib/gobject-introspection.xml	(revision 62a5037e46590f8298fb2965ac76e51194aec472)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs90_checked;
+    &lfs91_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/genlib/icu.xml
===================================================================
--- general/genlib/icu.xml	(revision fee64868e0afb5608b59b9355943e163ad6dc0e1)
+++ general/genlib/icu.xml	(revision 62a5037e46590f8298fb2965ac76e51194aec472)
@@ -39,5 +39,5 @@
     </para>
 
-    &lfs90_checked;
+    &lfs91_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/genlib/wayland-protocols.xml
===================================================================
--- general/genlib/wayland-protocols.xml	(revision fee64868e0afb5608b59b9355943e163ad6dc0e1)
+++ general/genlib/wayland-protocols.xml	(revision 62a5037e46590f8298fb2965ac76e51194aec472)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs90_checked;
+    &lfs91_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/genlib/wayland.xml
===================================================================
--- general/genlib/wayland.xml	(revision fee64868e0afb5608b59b9355943e163ad6dc0e1)
+++ general/genlib/wayland.xml	(revision 62a5037e46590f8298fb2965ac76e51194aec472)
@@ -7,7 +7,7 @@
   <!ENTITY wayland-download-http "https://wayland.freedesktop.org/releases/wayland-&wayland-version;.tar.xz">
   <!ENTITY wayland-download-ftp  " ">
-  <!ENTITY wayland-md5sum        "d91f970aea11fd549eae023d06f91af3">
-  <!ENTITY wayland-size          "428 KB">
-  <!ENTITY wayland-buildsize     "13 MB (with tests)">
+  <!ENTITY wayland-md5sum        "23317697b6e3ff2e1ac8c5ba3ed57b65">
+  <!ENTITY wayland-size          "444 KB">
+  <!ENTITY wayland-buildsize     "14 MB (with tests)">
   <!ENTITY wayland-time          "0.2 SBU (with tests)">
 ]>
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs90_checked;
+    &lfs91_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -108,8 +108,11 @@
 
     <para>
-      To test the results, issue: <command>make check</command>. If a Desktop
+      To test the results, issue: <command>make check</command>. 
+      <!-- Seems to work without X installed
+      
+      If a Desktop
       Environment has not been started that uses XDG, it's possible that 90%
       of the test suite will fail. To rectify this, create the directory listed
-      in $XDG_RUNTIME_DIR first, if required.
+      in $XDG_RUNTIME_DIR first, if required.-->
     </para>
 
Index: general/genutils/asciidoc.xml
===================================================================
--- general/genutils/asciidoc.xml	(revision fee64868e0afb5608b59b9355943e163ad6dc0e1)
+++ general/genutils/asciidoc.xml	(revision 62a5037e46590f8298fb2965ac76e51194aec472)
@@ -35,5 +35,5 @@
     translated to many formats including HTML, PDF, EPUB, and man page.  </para>
 
-    &lfs90_checked;
+    &lfs91_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/graphlib/fontconfig.xml
===================================================================
--- general/graphlib/fontconfig.xml	(revision fee64868e0afb5608b59b9355943e163ad6dc0e1)
+++ general/graphlib/fontconfig.xml	(revision 62a5037e46590f8298fb2965ac76e51194aec472)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs90_checked;
+    &lfs91_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/graphlib/freetype2.xml
===================================================================
--- general/graphlib/freetype2.xml	(revision fee64868e0afb5608b59b9355943e163ad6dc0e1)
+++ general/graphlib/freetype2.xml	(revision 62a5037e46590f8298fb2965ac76e51194aec472)
@@ -42,5 +42,5 @@
     </para>
 
-    &lfs90_checked;
+    &lfs91_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/graphlib/graphite2.xml
===================================================================
--- general/graphlib/graphite2.xml	(revision fee64868e0afb5608b59b9355943e163ad6dc0e1)
+++ general/graphlib/graphite2.xml	(revision 62a5037e46590f8298fb2965ac76e51194aec472)
@@ -44,5 +44,5 @@
     </para>
 
-    &lfs90_checked;
+    &lfs91_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/graphlib/harfbuzz.xml
===================================================================
--- general/graphlib/harfbuzz.xml	(revision fee64868e0afb5608b59b9355943e163ad6dc0e1)
+++ general/graphlib/harfbuzz.xml	(revision 62a5037e46590f8298fb2965ac76e51194aec472)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs90_checked;
+    &lfs91_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/graphlib/libpng.xml
===================================================================
--- general/graphlib/libpng.xml	(revision fee64868e0afb5608b59b9355943e163ad6dc0e1)
+++ general/graphlib/libpng.xml	(revision 62a5037e46590f8298fb2965ac76e51194aec472)
@@ -43,5 +43,5 @@
     </para>
 
-    &lfs90_checked;
+    &lfs91_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/graphlib/pixman.xml
===================================================================
--- general/graphlib/pixman.xml	(revision fee64868e0afb5608b59b9355943e163ad6dc0e1)
+++ general/graphlib/pixman.xml	(revision 62a5037e46590f8298fb2965ac76e51194aec472)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs90_checked;
+    &lfs91_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/prog/llvm.xml
===================================================================
--- general/prog/llvm.xml	(revision fee64868e0afb5608b59b9355943e163ad6dc0e1)
+++ general/prog/llvm.xml	(revision 62a5037e46590f8298fb2965ac76e51194aec472)
@@ -59,5 +59,5 @@
     </para>
 
-    &lfs90_checked;
+    &lfs91_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -187,4 +187,11 @@
 mv tools/clang-&llvm-version;.src tools/clang &amp;&amp;
 mv projects/compiler-rt-&llvm-version;.src projects/compiler-rt</userinput></screen>
+
+    <para>
+      Fix a problem introduced by Glibc-2.31:
+    </para>
+
+<screen><userinput>sed -e '/ipc_perm, mode/s|^|//|' \
+    -i projects/compiler-rt/lib/sanitizer_common/anitizer_platform_limits_posix.cc</userinput></screen>
 
     <para>
Index: general/prog/mako.xml
===================================================================
--- general/prog/mako.xml	(revision fee64868e0afb5608b59b9355943e163ad6dc0e1)
+++ general/prog/mako.xml	(revision 62a5037e46590f8298fb2965ac76e51194aec472)
@@ -31,5 +31,5 @@
       </para>
 
-      &lfs90_checked;
+      &lfs91_checked;
 
       <bridgehead renderas="sect4">Package Information</bridgehead>
Index: general/prog/markupsafe.xml
===================================================================
--- general/prog/markupsafe.xml	(revision fee64868e0afb5608b59b9355943e163ad6dc0e1)
+++ general/prog/markupsafe.xml	(revision 62a5037e46590f8298fb2965ac76e51194aec472)
@@ -30,5 +30,5 @@
       </para>
 
-      &lfs90_checked;
+      &lfs91_checked;
 
       <bridgehead renderas="sect4">Package Information</bridgehead>
Index: general/prog/python2.xml
===================================================================
--- general/prog/python2.xml	(revision fee64868e0afb5608b59b9355943e163ad6dc0e1)
+++ general/prog/python2.xml	(revision 62a5037e46590f8298fb2965ac76e51194aec472)
@@ -45,6 +45,5 @@
       <para>
         Python2 has been deprecated by the upstream developers.  
-        Support for Python2 will be discontinued on January
-        1st, 2020.  
+        Support for Python2 was discontinued on January 1st, 2020.  
       </para>
         
@@ -56,5 +55,5 @@
 
 
-    &lfs90_checked;
+    &lfs91_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/sysutils/acpid.xml
===================================================================
--- general/sysutils/acpid.xml	(revision fee64868e0afb5608b59b9355943e163ad6dc0e1)
+++ general/sysutils/acpid.xml	(revision 62a5037e46590f8298fb2965ac76e51194aec472)
@@ -39,5 +39,5 @@
     </para>
 
-    &lfs90_checked;
+    &lfs91_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/sysutils/dbus.xml
===================================================================
--- general/sysutils/dbus.xml	(revision fee64868e0afb5608b59b9355943e163ad6dc0e1)
+++ general/sysutils/dbus.xml	(revision 62a5037e46590f8298fb2965ac76e51194aec472)
@@ -49,5 +49,5 @@
     </para>
 
-    &lfs90_checked;
+    &lfs91_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/sysutils/elogind.xml
===================================================================
--- general/sysutils/elogind.xml	(revision fee64868e0afb5608b59b9355943e163ad6dc0e1)
+++ general/sysutils/elogind.xml	(revision 62a5037e46590f8298fb2965ac76e51194aec472)
@@ -42,5 +42,5 @@
     </para>
 
-    &lfs90_checked;
+    &lfs91_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/sysutils/which.xml
===================================================================
--- general/sysutils/which.xml	(revision fee64868e0afb5608b59b9355943e163ad6dc0e1)
+++ general/sysutils/which.xml	(revision 62a5037e46590f8298fb2965ac76e51194aec472)
@@ -47,5 +47,5 @@
     </para>
 
-    &lfs90_checked;
+    &lfs91_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision fee64868e0afb5608b59b9355943e163ad6dc0e1)
+++ introduction/welcome/changelog.xml	(revision 62a5037e46590f8298fb2965ac76e51194aec472)
@@ -42,4 +42,22 @@
     </listitem>
        -->
+    <listitem>
+      <para>February 15th, 2020</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to xterm-353. Fixes
+          <ulink url="&blfs-ticket-root;13094">#13094</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to mesa-19.3.4. Fixes
+          <ulink url="&blfs-ticket-root;13130">#13130</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to wayland-1.18.0. Fixes
+          <ulink url="&blfs-ticket-root;13121">#13121</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
     <listitem>
       <para>February 14th, 2020</para>
Index: packages.ent
===================================================================
--- packages.ent	(revision fee64868e0afb5608b59b9355943e163ad6dc0e1)
+++ packages.ent	(revision 62a5037e46590f8298fb2965ac76e51194aec472)
@@ -184,5 +184,5 @@
 <!ENTITY talloc-version               "2.3.1">
 <!ENTITY telepathy-glib-version       "0.24.1">
-<!ENTITY wayland-version              "1.17.0">
+<!ENTITY wayland-version              "1.18.0">
 <!ENTITY wayland-protocols-version    "1.18">
 <!ENTITY wv-version                   "1.2.9">
@@ -668,5 +668,5 @@
 <!ENTITY xkeyboard-config-version     "2.29">
 <!ENTITY mesa-major-minor             "19.3">
-<!ENTITY mesa-version                 "&mesa-major-minor;.3">
+<!ENTITY mesa-version                 "&mesa-major-minor;.4">
 <!ENTITY xcb-util-version             "0.4.0">
 <!ENTITY xcb-util-image-version       "0.4.0">
@@ -677,5 +677,5 @@
 <!ENTITY xorg-server-version          "1.20.7">
 <!ENTITY twm-version                  "1.0.10">
-<!ENTITY xterm-version                "352">
+<!ENTITY xterm-version                "353">
 <!ENTITY xclock-version               "1.0.9">
 <!ENTITY xinit-version                "1.4.1">
Index: pst/xml/xmlto.xml
===================================================================
--- pst/xml/xmlto.xml	(revision fee64868e0afb5608b59b9355943e163ad6dc0e1)
+++ pst/xml/xmlto.xml	(revision 62a5037e46590f8298fb2965ac76e51194aec472)
@@ -35,5 +35,5 @@
     necessary post-processing.</para>
 
-    &lfs90_checked;
+    &lfs91_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/installing/libXau.xml
===================================================================
--- x/installing/libXau.xml	(revision fee64868e0afb5608b59b9355943e163ad6dc0e1)
+++ x/installing/libXau.xml	(revision 62a5037e46590f8298fb2965ac76e51194aec472)
@@ -34,5 +34,5 @@
     restricting client access to the display.</para>
 
-    &lfs90_checked;
+    &lfs91_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/installing/libXdmcp.xml
===================================================================
--- x/installing/libXdmcp.xml	(revision fee64868e0afb5608b59b9355943e163ad6dc0e1)
+++ x/installing/libXdmcp.xml	(revision 62a5037e46590f8298fb2965ac76e51194aec472)
@@ -34,5 +34,5 @@
     allowing clients to interact with the X Display Manager.</para>
 
-    &lfs90_checked;
+    &lfs91_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/installing/libevdev.xml
===================================================================
--- x/installing/libevdev.xml	(revision fee64868e0afb5608b59b9355943e163ad6dc0e1)
+++ x/installing/libevdev.xml	(revision 62a5037e46590f8298fb2965ac76e51194aec472)
@@ -37,5 +37,5 @@
       </para>
 
-      &lfs90_checked;
+      &lfs91_checked;
 
       <bridgehead renderas="sect4">Package Information</bridgehead>
Index: x/installing/libinput.xml
===================================================================
--- x/installing/libinput.xml	(revision fee64868e0afb5608b59b9355943e163ad6dc0e1)
+++ x/installing/libinput.xml	(revision 62a5037e46590f8298fb2965ac76e51194aec472)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs90_checked;
+    &lfs91_checked;
 
     <bridgehead renderas="sect4">Package Information</bridgehead>
Index: x/installing/libva.xml
===================================================================
--- x/installing/libva.xml	(revision fee64868e0afb5608b59b9355943e163ad6dc0e1)
+++ x/installing/libva.xml	(revision 62a5037e46590f8298fb2965ac76e51194aec472)
@@ -50,5 +50,5 @@
     </para>
 
-    &lfs90_checked;
+    &lfs91_checked;
 
     <bridgehead renderas="sect4">Package Information</bridgehead>
Index: x/installing/libvdpau.xml
===================================================================
--- x/installing/libvdpau.xml	(revision fee64868e0afb5608b59b9355943e163ad6dc0e1)
+++ x/installing/libvdpau.xml	(revision 62a5037e46590f8298fb2965ac76e51194aec472)
@@ -55,5 +55,5 @@
     </para>
 
-    &lfs90_checked;
+    &lfs91_checked;
 
     <bridgehead renderas="sect4">Package Information</bridgehead>
Index: x/installing/libxcb.xml
===================================================================
--- x/installing/libxcb.xml	(revision fee64868e0afb5608b59b9355943e163ad6dc0e1)
+++ x/installing/libxcb.xml	(revision 62a5037e46590f8298fb2965ac76e51194aec472)
@@ -35,5 +35,5 @@
     requests and receive responses with both.</para>
 
-    &lfs90_checked;
+    &lfs91_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/installing/mesa.xml
===================================================================
--- x/installing/mesa.xml	(revision fee64868e0afb5608b59b9355943e163ad6dc0e1)
+++ x/installing/mesa.xml	(revision 62a5037e46590f8298fb2965ac76e51194aec472)
@@ -7,8 +7,8 @@
   <!ENTITY mesa-download-http "https://mesa.freedesktop.org/archive/mesa-&mesa-version;.tar.xz">
   <!ENTITY mesa-download-ftp  "ftp://ftp.freedesktop.org/pub/mesa/mesa-&mesa-version;.tar.xz">
-  <!ENTITY mesa-md5sum        "00010e0bb8f6641276ff6cb3e9386114">
+  <!ENTITY mesa-md5sum        "09e7700d9af511384d131fb77b5802cb">
   <!ENTITY mesa-size          "11 MB">
-  <!ENTITY mesa-buildsize     "397 MB (with demos and docs), add 204 MB for tests">
-  <!ENTITY mesa-time          "2.6 SBU (with parallelism=4, demos, and docs), add 0.4 SBU for tests">
+  <!ENTITY mesa-buildsize     "398 MB (with demos and docs), add 204 MB for tests">
+  <!ENTITY mesa-time          "2.4 SBU (with parallelism=4, demos, and docs), add 0.3 SBU for tests">
 ]>
 
@@ -42,5 +42,5 @@
     </note>
 
-    &lfs90_checked;
+    &lfs91_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -187,5 +187,5 @@
     </para>
 
-<screen><userinput>sed '1s@python@&amp;3@' -i bin/symbols-check.py</userinput></screen>
+<screen><userinput>sed '1s/python/&amp;3/' -i bin/symbols-check.py</userinput></screen>
 
     <note>
Index: x/installing/twm.xml
===================================================================
--- x/installing/twm.xml	(revision fee64868e0afb5608b59b9355943e163ad6dc0e1)
+++ x/installing/twm.xml	(revision 62a5037e46590f8298fb2965ac76e51194aec472)
@@ -35,5 +35,5 @@
     &not-katamari;
 
-    &lfs90_checked;
+    &lfs91_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/installing/util-macros.xml
===================================================================
--- x/installing/util-macros.xml	(revision fee64868e0afb5608b59b9355943e163ad6dc0e1)
+++ x/installing/util-macros.xml	(revision 62a5037e46590f8298fb2965ac76e51194aec472)
@@ -34,5 +34,5 @@
     <application>Xorg</application> packages.</para>
 
-    &lfs90_checked;
+    &lfs91_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/installing/x7app.xml
===================================================================
--- x/installing/x7app.xml	(revision fee64868e0afb5608b59b9355943e163ad6dc0e1)
+++ x/installing/x7app.xml	(revision 62a5037e46590f8298fb2965ac76e51194aec472)
@@ -148,5 +148,5 @@
     implementations.</para>
 
-    &lfs90_checked;
+    &lfs91_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/installing/x7driver-evdev.xml
===================================================================
--- x/installing/x7driver-evdev.xml	(revision fee64868e0afb5608b59b9355943e163ad6dc0e1)
+++ x/installing/x7driver-evdev.xml	(revision 62a5037e46590f8298fb2965ac76e51194aec472)
@@ -39,5 +39,5 @@
       </para>
 
-      &lfs90_checked;
+      &lfs91_checked;
 
       <bridgehead renderas="sect4">Package Information</bridgehead>
Index: x/installing/x7driver-fbdev.xml
===================================================================
--- x/installing/x7driver-fbdev.xml	(revision fee64868e0afb5608b59b9355943e163ad6dc0e1)
+++ x/installing/x7driver-fbdev.xml	(revision 62a5037e46590f8298fb2965ac76e51194aec472)
@@ -41,5 +41,5 @@
       </para>
 
-      &lfs90_checked;
+      &lfs91_checked;
 
       <bridgehead renderas="sect4">Package Information</bridgehead>
Index: x/installing/x7driver-libinput.xml
===================================================================
--- x/installing/x7driver-libinput.xml	(revision fee64868e0afb5608b59b9355943e163ad6dc0e1)
+++ x/installing/x7driver-libinput.xml	(revision 62a5037e46590f8298fb2965ac76e51194aec472)
@@ -39,5 +39,5 @@
       </para>
 
-      &lfs90_checked;
+      &lfs91_checked;
 
       <bridgehead renderas="sect4">Package Information</bridgehead>
Index: x/installing/x7driver-nouveau.xml
===================================================================
--- x/installing/x7driver-nouveau.xml	(revision fee64868e0afb5608b59b9355943e163ad6dc0e1)
+++ x/installing/x7driver-nouveau.xml	(revision 62a5037e46590f8298fb2965ac76e51194aec472)
@@ -43,5 +43,5 @@
       which is needed to build properly with the latest xorg-server.</para></note>
 
-      &lfs90_checked;
+      &lfs91_checked;
 
       <bridgehead renderas="sect4">Package Information</bridgehead>
Index: x/installing/x7font.xml
===================================================================
--- x/installing/x7font.xml	(revision fee64868e0afb5608b59b9355943e163ad6dc0e1)
+++ x/installing/x7font.xml	(revision 62a5037e46590f8298fb2965ac76e51194aec472)
@@ -63,5 +63,5 @@
     linkend="TTF-and-OTF-fonts"/>.</para>
 
-    &lfs90_checked;
+    &lfs91_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/installing/x7legacy.xml
===================================================================
--- x/installing/x7legacy.xml	(revision fee64868e0afb5608b59b9355943e163ad6dc0e1)
+++ x/installing/x7legacy.xml	(revision 62a5037e46590f8298fb2965ac76e51194aec472)
@@ -84,5 +84,5 @@
     </note>
 
-    &lfs90_checked;
+    &lfs91_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/installing/x7lib.xml
===================================================================
--- x/installing/x7lib.xml	(revision fee64868e0afb5608b59b9355943e163ad6dc0e1)
+++ x/installing/x7lib.xml	(revision 62a5037e46590f8298fb2965ac76e51194aec472)
@@ -128,5 +128,5 @@
     routines that are used within all X Window applications.</para>
 
-    &lfs90_checked;
+    &lfs91_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/installing/xbitmaps.xml
===================================================================
--- x/installing/xbitmaps.xml	(revision fee64868e0afb5608b59b9355943e163ad6dc0e1)
+++ x/installing/xbitmaps.xml	(revision 62a5037e46590f8298fb2965ac76e51194aec472)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs90_checked;
+    &lfs91_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/installing/xcb-proto.xml
===================================================================
--- x/installing/xcb-proto.xml	(revision fee64868e0afb5608b59b9355943e163ad6dc0e1)
+++ x/installing/xcb-proto.xml	(revision 62a5037e46590f8298fb2965ac76e51194aec472)
@@ -34,5 +34,5 @@
     uses to generate the majority of its code and API.</para>
 
-    &lfs90_checked;
+    &lfs91_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/installing/xcb-util-cursor.xml
===================================================================
--- x/installing/xcb-util-cursor.xml	(revision fee64868e0afb5608b59b9355943e163ad6dc0e1)
+++ x/installing/xcb-util-cursor.xml	(revision 62a5037e46590f8298fb2965ac76e51194aec472)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs90_checked;
+    &lfs91_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/installing/xcb-util-image.xml
===================================================================
--- x/installing/xcb-util-image.xml	(revision fee64868e0afb5608b59b9355943e163ad6dc0e1)
+++ x/installing/xcb-util-image.xml	(revision 62a5037e46590f8298fb2965ac76e51194aec472)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs90_checked;
+    &lfs91_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/installing/xcb-util-keysyms.xml
===================================================================
--- x/installing/xcb-util-keysyms.xml	(revision fee64868e0afb5608b59b9355943e163ad6dc0e1)
+++ x/installing/xcb-util-keysyms.xml	(revision 62a5037e46590f8298fb2965ac76e51194aec472)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs90_checked;
+    &lfs91_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/installing/xcb-util-renderutil.xml
===================================================================
--- x/installing/xcb-util-renderutil.xml	(revision fee64868e0afb5608b59b9355943e163ad6dc0e1)
+++ x/installing/xcb-util-renderutil.xml	(revision 62a5037e46590f8298fb2965ac76e51194aec472)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs90_checked;
+    &lfs91_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/installing/xcb-util-wm.xml
===================================================================
--- x/installing/xcb-util-wm.xml	(revision fee64868e0afb5608b59b9355943e163ad6dc0e1)
+++ x/installing/xcb-util-wm.xml	(revision 62a5037e46590f8298fb2965ac76e51194aec472)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs90_checked;
+    &lfs91_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/installing/xcb-util.xml
===================================================================
--- x/installing/xcb-util.xml	(revision fee64868e0afb5608b59b9355943e163ad6dc0e1)
+++ x/installing/xcb-util.xml	(revision 62a5037e46590f8298fb2965ac76e51194aec472)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs90_checked;
+    &lfs91_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/installing/xclock.xml
===================================================================
--- x/installing/xclock.xml	(revision fee64868e0afb5608b59b9355943e163ad6dc0e1)
+++ x/installing/xclock.xml	(revision 62a5037e46590f8298fb2965ac76e51194aec472)
@@ -35,5 +35,5 @@
     &not-katamari;
 
-    &lfs90_checked;
+    &lfs91_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/installing/xcursor-themes.xml
===================================================================
--- x/installing/xcursor-themes.xml	(revision fee64868e0afb5608b59b9355943e163ad6dc0e1)
+++ x/installing/xcursor-themes.xml	(revision 62a5037e46590f8298fb2965ac76e51194aec472)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs90_checked;
+    &lfs91_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/installing/xinit.xml
===================================================================
--- x/installing/xinit.xml	(revision fee64868e0afb5608b59b9355943e163ad6dc0e1)
+++ x/installing/xinit.xml	(revision 62a5037e46590f8298fb2965ac76e51194aec472)
@@ -35,5 +35,5 @@
     &not-katamari;
 
-    &lfs90_checked;
+    &lfs91_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/installing/xkeyboard-config.xml
===================================================================
--- x/installing/xkeyboard-config.xml	(revision fee64868e0afb5608b59b9355943e163ad6dc0e1)
+++ x/installing/xkeyboard-config.xml	(revision 62a5037e46590f8298fb2965ac76e51194aec472)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs90_checked;
+    &lfs91_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/installing/xorg-server.xml
===================================================================
--- x/installing/xorg-server.xml	(revision fee64868e0afb5608b59b9355943e163ad6dc0e1)
+++ x/installing/xorg-server.xml	(revision 62a5037e46590f8298fb2965ac76e51194aec472)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs90_checked;
+    &lfs91_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/installing/xorgproto.xml
===================================================================
--- x/installing/xorgproto.xml	(revision fee64868e0afb5608b59b9355943e163ad6dc0e1)
+++ x/installing/xorgproto.xml	(revision 62a5037e46590f8298fb2965ac76e51194aec472)
@@ -34,5 +34,5 @@
     applications to build against the installed X Window system.</para>
 
-    &lfs90_checked;
+    &lfs91_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/installing/xterm.xml
===================================================================
--- x/installing/xterm.xml	(revision fee64868e0afb5608b59b9355943e163ad6dc0e1)
+++ x/installing/xterm.xml	(revision 62a5037e46590f8298fb2965ac76e51194aec472)
@@ -8,5 +8,5 @@
   <!--<!ENTITY xterm-download-ftp  "ftp://invisible-island.net/xterm/xterm-&xterm-version;.tgz">-->
   <!ENTITY xterm-download-ftp  " ">
-  <!ENTITY xterm-md5sum        "9d41798d035976715d532d38327f5e41">
+  <!ENTITY xterm-md5sum        "247c30ebfa44623f3a2d100e0cae5c7f">
   <!ENTITY xterm-size          "1.3 MB">
   <!ENTITY xterm-buildsize     "13 MB">
@@ -36,5 +36,5 @@
     &not-katamari;
 
-    &lfs90_checked;
+    &lfs91_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/lib/libdrm.xml
===================================================================
--- x/lib/libdrm.xml	(revision fee64868e0afb5608b59b9355943e163ad6dc0e1)
+++ x/lib/libdrm.xml	(revision 62a5037e46590f8298fb2965ac76e51194aec472)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs90_checked;
+    &lfs91_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/lib/libepoxy.xml
===================================================================
--- x/lib/libepoxy.xml	(revision fee64868e0afb5608b59b9355943e163ad6dc0e1)
+++ x/lib/libepoxy.xml	(revision 62a5037e46590f8298fb2965ac76e51194aec472)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs90_checked;
+    &lfs91_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>