Index: gnome/gnome.ent
===================================================================
--- gnome/gnome.ent	(revision 0444628c6d9d371eb1e38f7a1b9b1ac86b056838)
+++ gnome/gnome.ent	(revision 63bb351e945cd29e0707ee6726b406ae511011a7)
@@ -23,5 +23,5 @@
 <!ENTITY % gnome-mime-data SYSTEM "lib/gnome-mime-data/gnome-mime-data.ent">
 <!ENTITY % gnome-vfs SYSTEM "lib/gnome-vfs/gnome-vfs.ent">
-<!ENTITY % libgnome SYSTEM "lib/gnomelib/libgnome.ent">
+<!ENTITY % libgnome SYSTEM "lib/libgnome/libgnome.ent">
 <!ENTITY % libgnomecanvas SYSTEM "lib/gnomelib/libgnomecanvas.ent">
 <!ENTITY % libbonoboui SYSTEM "lib/gnomelib/libbonoboui.ent">
Index: ome/lib/gnomelib/libgnome-desc.xml
===================================================================
--- gnome/lib/gnomelib/libgnome-desc.xml	(revision 0444628c6d9d371eb1e38f7a1b9b1ac86b056838)
+++ 	(revision )
@@ -1,17 +1,0 @@
-<sect2>
-<title>Contents</title>
-
-<para>The <application>libgnome</application> package contains <filename
-class="libraryfile">libgnome</filename> libraries.</para>
-
-</sect2>
-
-<sect2><title>Description</title>
-
-<sect3><title>libgnome libraries</title>
-<para><filename class="libraryfile">libgnome</filename> libraries are the
-non-<acronym>GUI</acronym> portion of the
-<application><acronym>GNOME</acronym></application> libraries.</para></sect3>
-
-</sect2>
-
Index: ome/lib/gnomelib/libgnome-exp.xml
===================================================================
--- gnome/lib/gnomelib/libgnome-exp.xml	(revision 0444628c6d9d371eb1e38f7a1b9b1ac86b056838)
+++ 	(revision )
@@ -1,16 +1,0 @@
-<sect2>
-<title>Command explanations</title>
-
-<para><parameter>--libexecdir=$GNOME_PREFIX/sbin</parameter>: This switch puts
-libexec files in <filename class="directory">$GNOME_PREFIX/sbin</filename> instead of
-<filename class="directory">$GNOME_PREFIX/libexec</filename>.</para>
-
-<para><parameter>--sysconfdir=/etc/gnome</parameter>: This switch
-puts configuration files in <filename class="directory">/etc/gnome</filename> instead of
-<filename class="directory">$GNOME_PREFIX/etc</filename>.</para>
-
-<para><option>--disable-gtk-doc</option>: This switch prevents
-the rebuilding of documentation during the <command>make</command> command.</para>
-
-</sect2>
-
Index: ome/lib/gnomelib/libgnome-inst.xml
===================================================================
--- gnome/lib/gnomelib/libgnome-inst.xml	(revision 0444628c6d9d371eb1e38f7a1b9b1ac86b056838)
+++ 	(revision )
@@ -1,12 +1,0 @@
-<sect2>
-<title>Installation of <application>libgnome</application></title>
-
-<para>Install <application>libgnome</application> by running the following commands:</para>
-
-<screen><userinput><command>./configure --prefix=$GNOME_PREFIX --libexecdir=$GNOME_PREFIX/sbin \
---sysconfdir=/etc/gnome --disable-gtk-doc &amp;&amp;
-make &amp;&amp;
-make install</command></userinput></screen>
-
-</sect2>
-
Index: ome/lib/gnomelib/libgnome-intro.xml
===================================================================
--- gnome/lib/gnomelib/libgnome-intro.xml	(revision 0444628c6d9d371eb1e38f7a1b9b1ac86b056838)
+++ 	(revision )
@@ -1,32 +1,0 @@
-<sect2>
-<title>Introduction to libgnome</title>
-
-<para>The <application>libgnome</application> package contains the
-<filename class="libraryfile">libgnome</filename> library.</para>
-
-<sect3><title>Package information</title>
-<itemizedlist spacing='compact'>
-<listitem><para>Download (HTTP): <ulink
-url="&libgnome-download-http;"/></para></listitem>
-<listitem><para>Download (FTP): <ulink
-url="&libgnome-download-ftp;"/></para></listitem>
-<listitem><para>Download size: &libgnome-size;</para></listitem>
-<listitem><para>Estimated Disk space required:
-&libgnome-buildsize;</para></listitem>
-<listitem><para>Estimated build time:
-&libgnome-time;</para></listitem></itemizedlist>
-</sect3>
-
-<sect3><title><application>libgnome</application> dependencies</title>
-<sect4><title>Required</title>
-<para><xref linkend="esound"/>, <xref linkend="audiofile"/>, <xref
-linkend="ORBit2"/>, <xref linkend="GConf"/>,
-<xref linkend="bonobo-activation"/> and <xref linkend="gnome-vfs"/></para>
-</sect4>
-<sect4><title>Optional</title>
-<para><xref linkend="gtk-doc"/> and <xref linkend
-="sgml-dtd-3"/></para></sect4>
-</sect3>
-
-
-</sect2>
Index: ome/lib/gnomelib/libgnome.ent
===================================================================
--- gnome/lib/gnomelib/libgnome.ent	(revision 0444628c6d9d371eb1e38f7a1b9b1ac86b056838)
+++ 	(revision )
@@ -1,11 +1,0 @@
-<!ENTITY libgnome SYSTEM "../libgnome.xml">
-<!ENTITY libgnome-intro SYSTEM "libgnome-intro.xml">
-<!ENTITY libgnome-inst SYSTEM "libgnome-inst.xml">
-<!ENTITY libgnome-exp SYSTEM "libgnome-exp.xml">
-<!ENTITY libgnome-desc SYSTEM "libgnome-desc.xml">
-<!ENTITY libgnome-version "2.2.3">
-<!ENTITY libgnome-download-http "http://ftp.gnome.org/pub/GNOME/sources/libgnome/2.2/libgnome-&libgnome-version;.tar.bz2">
-<!ENTITY libgnome-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/libgnome/2.2/libgnome-&libgnome-version;.tar.bz2">
-<!ENTITY libgnome-size "924 KB">
-<!ENTITY libgnome-buildsize "16.2 MB">
-<!ENTITY libgnome-time "0.32 SBU">
Index: gnome/lib/libgnome/libgnome-desc.xml
===================================================================
--- gnome/lib/libgnome/libgnome-desc.xml	(revision 63bb351e945cd29e0707ee6726b406ae511011a7)
+++ gnome/lib/libgnome/libgnome-desc.xml	(revision 63bb351e945cd29e0707ee6726b406ae511011a7)
@@ -0,0 +1,17 @@
+<sect2>
+<title>Contents</title>
+
+<para>The <application>libgnome</application> package contains <filename
+class="libraryfile">libgnome</filename> libraries.</para>
+
+</sect2>
+
+<sect2><title>Description</title>
+
+<sect3><title>libgnome libraries</title>
+<para><filename class="libraryfile">libgnome</filename> libraries are the
+non-<acronym>GUI</acronym> portion of the
+<application><acronym>GNOME</acronym></application> libraries.</para></sect3>
+
+</sect2>
+
Index: gnome/lib/libgnome/libgnome-exp.xml
===================================================================
--- gnome/lib/libgnome/libgnome-exp.xml	(revision 63bb351e945cd29e0707ee6726b406ae511011a7)
+++ gnome/lib/libgnome/libgnome-exp.xml	(revision 63bb351e945cd29e0707ee6726b406ae511011a7)
@@ -0,0 +1,16 @@
+<sect2>
+<title>Command explanations</title>
+
+<para><parameter>--libexecdir=$GNOME_PREFIX/sbin</parameter>: This switch puts
+libexec files in <filename class="directory">$GNOME_PREFIX/sbin</filename> instead of
+<filename class="directory">$GNOME_PREFIX/libexec</filename>.</para>
+
+<para><parameter>--sysconfdir=/etc/gnome</parameter>: This switch
+puts configuration files in <filename class="directory">/etc/gnome</filename> instead of
+<filename class="directory">$GNOME_PREFIX/etc</filename>.</para>
+
+<para><option>--disable-gtk-doc</option>: This switch prevents
+the rebuilding of documentation during the <command>make</command> command.</para>
+
+</sect2>
+
Index: gnome/lib/libgnome/libgnome-inst.xml
===================================================================
--- gnome/lib/libgnome/libgnome-inst.xml	(revision 63bb351e945cd29e0707ee6726b406ae511011a7)
+++ gnome/lib/libgnome/libgnome-inst.xml	(revision 63bb351e945cd29e0707ee6726b406ae511011a7)
@@ -0,0 +1,12 @@
+<sect2>
+<title>Installation of <application>libgnome</application></title>
+
+<para>Install <application>libgnome</application> by running the following commands:</para>
+
+<screen><userinput><command>./configure --prefix=$GNOME_PREFIX --libexecdir=$GNOME_PREFIX/sbin \
+--sysconfdir=/etc/gnome --disable-gtk-doc &amp;&amp;
+make &amp;&amp;
+make install</command></userinput></screen>
+
+</sect2>
+
Index: gnome/lib/libgnome/libgnome-intro.xml
===================================================================
--- gnome/lib/libgnome/libgnome-intro.xml	(revision 63bb351e945cd29e0707ee6726b406ae511011a7)
+++ gnome/lib/libgnome/libgnome-intro.xml	(revision 63bb351e945cd29e0707ee6726b406ae511011a7)
@@ -0,0 +1,32 @@
+<sect2>
+<title>Introduction to libgnome</title>
+
+<para>The <application>libgnome</application> package contains the
+<filename class="libraryfile">libgnome</filename> library.</para>
+
+<sect3><title>Package information</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Download (HTTP): <ulink
+url="&libgnome-download-http;"/></para></listitem>
+<listitem><para>Download (FTP): <ulink
+url="&libgnome-download-ftp;"/></para></listitem>
+<listitem><para>Download size: &libgnome-size;</para></listitem>
+<listitem><para>Estimated Disk space required:
+&libgnome-buildsize;</para></listitem>
+<listitem><para>Estimated build time:
+&libgnome-time;</para></listitem></itemizedlist>
+</sect3>
+
+<sect3><title><application>libgnome</application> dependencies</title>
+<sect4><title>Required</title>
+<para><xref linkend="esound"/>, <xref linkend="audiofile"/>, <xref
+linkend="ORBit2"/>, <xref linkend="GConf"/>,
+<xref linkend="bonobo-activation"/> and <xref linkend="gnome-vfs"/></para>
+</sect4>
+<sect4><title>Optional</title>
+<para><xref linkend="gtk-doc"/> and <xref linkend
+="sgml-dtd-3"/></para></sect4>
+</sect3>
+
+
+</sect2>
Index: gnome/lib/libgnome/libgnome.ent
===================================================================
--- gnome/lib/libgnome/libgnome.ent	(revision 63bb351e945cd29e0707ee6726b406ae511011a7)
+++ gnome/lib/libgnome/libgnome.ent	(revision 63bb351e945cd29e0707ee6726b406ae511011a7)
@@ -0,0 +1,11 @@
+<!ENTITY libgnome SYSTEM "../libgnome.xml">
+<!ENTITY libgnome-intro SYSTEM "libgnome-intro.xml">
+<!ENTITY libgnome-inst SYSTEM "libgnome-inst.xml">
+<!ENTITY libgnome-exp SYSTEM "libgnome-exp.xml">
+<!ENTITY libgnome-desc SYSTEM "libgnome-desc.xml">
+<!ENTITY libgnome-version "2.2.3">
+<!ENTITY libgnome-download-http "http://ftp.gnome.org/pub/GNOME/sources/libgnome/2.2/libgnome-&libgnome-version;.tar.bz2">
+<!ENTITY libgnome-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/libgnome/2.2/libgnome-&libgnome-version;.tar.bz2">
+<!ENTITY libgnome-size "924 KB">
+<!ENTITY libgnome-buildsize "16.2 MB">
+<!ENTITY libgnome-time "0.32 SBU">