Index: general/graphlib/libungif.xml
===================================================================
--- general/graphlib/libungif.xml	(revision 0a9287ae7216b54999a870489312f1ac489bd88b)
+++ general/graphlib/libungif.xml	(revision 64d97b7c532eb01d7a1399dbb30646d77c9a6b6e)
@@ -5,5 +5,4 @@
 &libungif-intro;
 &libungif-inst;
-&libungif-config;
 &libungif-desc;
 
Index: general/graphlib/libungif/libungif-intro.xml
===================================================================
--- general/graphlib/libungif/libungif-intro.xml	(revision 0a9287ae7216b54999a870489312f1ac489bd88b)
+++ general/graphlib/libungif/libungif-intro.xml	(revision 64d97b7c532eb01d7a1399dbb30646d77c9a6b6e)
@@ -6,5 +6,6 @@
 Version used:                   &libungif-version;
 Package size:                   &libungif-size;
-Estimated Disk space required:  &libungif-buildsize;</screen>
+Estimated Disk space required:  &libungif-buildsize;
+Estimated build time:           &libungif-time;</screen>
 
 <para>The libungif package contains libraries for reading all gifs and
Index: general/prog/librep/librep-intro.xml
===================================================================
--- general/prog/librep/librep-intro.xml	(revision 0a9287ae7216b54999a870489312f1ac489bd88b)
+++ general/prog/librep/librep-intro.xml	(revision 64d97b7c532eb01d7a1399dbb30646d77c9a6b6e)
@@ -6,5 +6,6 @@
 Version used:                   &librep-version;
 Package size:                   &librep-size;
-Estimated Disk space required:  &librep-buildsize;</screen>
+Estimated Disk space required:  &librep-buildsize;
+Estimated build time:           &librep-time;</screen>
 
 <para>The librep package contains a Lisp system. This is useful for
Index: general/prog/librep/librep.ent
===================================================================
--- general/prog/librep/librep.ent	(revision 0a9287ae7216b54999a870489312f1ac489bd88b)
+++ general/prog/librep/librep.ent	(revision 64d97b7c532eb01d7a1399dbb30646d77c9a6b6e)
@@ -5,7 +5,7 @@
 <!ENTITY librep-desc SYSTEM "librep-desc.xml">
 <!ENTITY librep-config SYSTEM "librep-config.xml">
-<!ENTITY librep-buildsize "6.7 MB">
-<!ENTITY librep-version "0.16.1">
-<!ENTITY librep-download-http "http://telia.dl.sourceforge.net/sourceforge/librep/librep-0.16.1.tar.gz">
+<!ENTITY librep-buildsize "6.8 MB">
+<!ENTITY librep-version "0.16.2">
+<!ENTITY librep-download-http "http://telia.dl.sourceforge.net/sourceforge/librep/librep-0.16.2.tar.gz">
 <!ENTITY librep-download-ftp "">
 <!ENTITY librep-size "896 KB">
Index: introduction/important/bootscripts.xml
===================================================================
--- introduction/important/bootscripts.xml	(revision 0a9287ae7216b54999a870489312f1ac489bd88b)
+++ introduction/important/bootscripts.xml	(revision 64d97b7c532eb01d7a1399dbb30646d77c9a6b6e)
@@ -8,5 +8,5 @@
 Note that this is lfs-bootscripts-1.6 and later (the old numbering
 changed as of LFS-3.2).  The scripts won't work with versions of LFS
-before 3.2 because of a change in their organisation with the new
+before 3.2 because of a change in their organization with the new
 scripts.  However, it should be trivial to adapt the scripts if needed
 for older LFS versions.</para>
Index: introduction/important/unpacking.xml
===================================================================
--- introduction/important/unpacking.xml	(revision 0a9287ae7216b54999a870489312f1ac489bd88b)
+++ introduction/important/unpacking.xml	(revision 64d97b7c532eb01d7a1399dbb30646d77c9a6b6e)
@@ -19,5 +19,5 @@
 into <filename>/usr/src</filename>.</para>
 
-<para>We can not emphasise strongly enough that you should start from a
+<para>We can not emphasize strongly enough that you should start from a
 <emphasis>clean source tree</emphasis> each time.  This means that if
 you have had an error, it's usually best to delete the source tree and
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 0a9287ae7216b54999a870489312f1ac489bd88b)
+++ introduction/welcome/changelog.xml	(revision 64d97b7c532eb01d7a1399dbb30646d77c9a6b6e)
@@ -11,4 +11,10 @@
 <itemizedlist>
 
+<listitem><para>April 1st, 2003 [larry]: X: updated to
+sawfish-1.3.</para></listitem>
+
+<listitem><para>April 1st, 2003 [larry]: prog: updated to
+librep-0.16.2.</para></listitem>
+
 <listitem><para>April 1st, 2003 [tushar]: prog: added motif fix for j2sdk.
 Happy 1st April:) BTW, the fix is real:)</para></listitem>
@@ -35,5 +41,5 @@
 lcms-1.09.</para></listitem>
 
-<listitem><para>March 24th, 2003 [larry]: PST: Added cyrillic fonts to
+<listitem><para>March 24th, 2003 [larry]: PST: Added Cyrillic fonts to
 a2ps as suggested by Alexander Patrakov.</para></listitem>
 
@@ -143,5 +149,5 @@
 
 <listitem><para>March 4th, 2003 [bdubbs]: X: updated keyboard
-layout expanation and example in XFree86.</para></listitem>
+layout explanation and example in XFree86.</para></listitem>
 
 <listitem><para>March 3rd, 2003 [larry]: X: updated to
@@ -164,5 +170,5 @@
 openoffice.</para></listitem>
 
-<listitem><para>March 3rd, 2003 [tushar]: j2sdk: Added explainations
+<listitem><para>March 3rd, 2003 [tushar]: j2sdk: Added explanations
 for patches.</para></listitem>
 
@@ -172,7 +178,7 @@
 
 <listitem><para>March 1st, 2003 [larry]: basicnet: corrections to
-inetutils install instructions, submitted by Jamesi Iwanek.</para></listitem>
-
-<listitem><para>March 1st, 2003 [larry]: multimedia: appled James'
+inetutils install instructions, submitted by James Iwanek.</para></listitem>
+
+<listitem><para>March 1st, 2003 [larry]: multimedia: applied James'
 patch to roll alsa to 0.9.0rc7</para></listitem>
 
@@ -185,5 +191,5 @@
 
 <listitem><para>February 28th, 2003 [tushar]: Remove &amp;&amp; from the end of
-unset VAR to accomodate bash versions &lt; 2.05b. Minor fixes to some
+unset VAR to accommodate bash versions &lt; 2.05b. Minor fixes to some
 packages.</para></listitem>
 
@@ -213,5 +219,5 @@
 
 <listitem><para>February 24th, 2003 [larry]: Basicnet: Added
-inetutils-1.4.2 contributied by James Iwanek and removed telnet.</para></listitem> 
+inetutils-1.4.2 contributed by James Iwanek and removed telnet.</para></listitem> 
 
 <listitem><para>February 23rd, 2003 [larry]: Server: Updated to
@@ -278,5 +284,5 @@
 mozilla-1.2.1-gtk-mozembed.patch and fixed typo.</para></listitem>
 
-<listitem><para>February 13th, 2003 [larry]: Appendicies: Moved portmap
+<listitem><para>February 13th, 2003 [larry]: Appendices: Moved portmap
 to S22 and xinetd to S23 so that libfam will work
 properly.</para></listitem>
@@ -289,5 +295,5 @@
 
 <listitem><para>February 12th, 2003 [larry]: postlfs: Updated PAM and
-shadow instructions to correct the none working behaviour under LFS cvs
+shadow instructions to correct the none working behavior under LFS cvs
 reported by Jim Gifford.</para></listitem>
   
@@ -304,5 +310,5 @@
 OpenOffice.</para></listitem>
 
-<listitem><para>February 10th, 2003 [tushar]: KDE: Added explaination for the
+<listitem><para>February 10th, 2003 [tushar]: KDE: Added explanation for the
 environment variable DO_NOT_COMPILE.</para></listitem>
 
@@ -734,5 +740,5 @@
 
 <listitem><para>December 9th, 2002 [markh]: Introduction: Wrote the
-organisation page.</para></listitem>
+organization page.</para></listitem>
 
 <listitem><para>December 9th, 2002 [markh]: Introduction: Apply Seth's
@@ -1057,8 +1063,8 @@
 
 <listitem><para>September 30th, 2002 [larry]: Gnome: Fixed some
-dependancies and a url.</para></listitem>
+dependencies and a url.</para></listitem>
 
 <listitem><para>September 29th, 2002 [larry]: Gnome: Change order of
-GConf-1.0.9, seems to have a hidden dependancy on gdk.</para></listitem>
+GConf-1.0.9, seems to have a hidden dependency on gdk.</para></listitem>
 
 <listitem><para>September 29th, 2002 [markh]: Introduction: Rewrite "Which
@@ -1069,5 +1075,5 @@
 list and tidy XML slightly.</para></listitem>
 
-<listitem><para>September 29th, 2002 [larry]: pst: added dependancy to
+<listitem><para>September 29th, 2002 [larry]: pst: added dependency to
 DocBook.</para></listitem>
 
@@ -1076,5 +1082,5 @@
 
 <listitem><para>September 28th, 2002 [larry]: Server: Billy expanded
-instuctions to include xinetd for samba and qmail. General: added extra
+instructions to include xinetd for samba and qmail. General: added extra
 installation for gdbm (Apache) and edited libfam.</para></listitem>
 
@@ -1141,5 +1147,5 @@
 
 <listitem><para>September 20th, 2002 [bdubbs]: Multimedia: Added
-qt as prerequsite to aRts.</para></listitem>
+qt as prerequisite to aRts.</para></listitem>
 
 <listitem><para>September 19th, 2002 [larry]: Gnome: Added
@@ -1292,5 +1298,5 @@
 
 <listitem><para>August 29th, 2002 [larry]: Postlfs: Updated to
-zsh-4.0.6, modifed wget per highos suggestion.</para></listitem>
+zsh-4.0.6, modified wget per highos suggestion.</para></listitem>
 
 <listitem><para>August 27th, 2002 [larry]: Gnome: Added
@@ -1306,5 +1312,5 @@
 <listitem><para>August 27th, 2002 [highos]: Content: Updated to
 MySQL-3.23.52.  A description fix and path change for FHS
-complaince.</para></listitem>
+compliance.</para></listitem>
 
 <listitem><para>August 27th, 2002 [highos]: General: Upgraded to
@@ -1512,8 +1518,8 @@
 
 <listitem><para>July 22nd, 2002 [larry]: Multimedia: modified install
-instruction for cdrtools to accomodate $CFLAGS with spaces.</para></listitem>
+instruction for cdrtools to accommodate $CFLAGS with spaces.</para></listitem>
 
 <listitem><para>July 21st, 2002 [bdubbs]: Updated description of lame package
-in KDE configureation description.</para></listitem>
+in KDE configuration description.</para></listitem>
 
 <listitem><para>July 21st, 2002 [larry]: System Utilities: Added Zip 2.3.</para></listitem>
@@ -1557,10 +1563,10 @@
 </para></listitem>
 
-<listitem><para>July 7th, 2002 [markh]: REORGANISATION DONE.  Note that
+<listitem><para>July 7th, 2002 [markh]: REORGANIZATION DONE.  Note that
 all Changelog entries below this one will now refer to the wrong
 answer.</para></listitem>
 
 <listitem><para>July 4th, 2002 [bdubbs]: Various typo and 
-grammer changes.</para></listitem>
+grammar changes.</para></listitem>
 
 <listitem><para>July 4th, 2002 [bdubbs]: KDE section - updated 
@@ -1603,5 +1609,5 @@
 
 <listitem><para>June 24th, 2002 [larry]: Chapter 9 - Updated to
-OpenSSH-3.3p1, with modifications to set up priviledged/unpriviledged
+OpenSSH-3.3p1, with modifications to set up privileged/unprivileged
 operations which is now the default. Chapter 4 - Added GLib-2.0.4,
 Pango-1.0.3 and ATK-1.0.2</para></listitem>
Index: introduction/welcome/credits.xml
===================================================================
--- introduction/welcome/credits.xml	(revision 0a9287ae7216b54999a870489312f1ac489bd88b)
+++ introduction/welcome/credits.xml	(revision 64d97b7c532eb01d7a1399dbb30646d77c9a6b6e)
@@ -40,5 +40,5 @@
 Lynn</emphasis>.</para></listitem>
 
-<listitem><para>Chapter 03: Customising your logon &amp; vimrc: <emphasis>Mark
+<listitem><para>Chapter 03: Customizing your logon &amp; vimrc: <emphasis>Mark
 Hymers</emphasis>.</para></listitem>
 
@@ -110,5 +110,5 @@
 Hymers</emphasis></para></listitem>
 
-<listitem><para>aspell, balsa, bind, bonobo, bonbo-conf, cvs server,
+<listitem><para>aspell, balsa, bind, bonobo, bonobo-conf, cvs server,
 db-3.3.11, db-3.1.17, emacs, evolution, exim, expat, gal, gnome-print, GnuCash,
 gtkhtml, guppi, guile, guppi, g-wrap, leafnode, lesstif, libcapplet,
@@ -175,7 +175,7 @@
 
 <listitem><para><emphasis>Oliver Brakmann</emphasis> for developing the
-dhcpcd patch for FHS complience.</para></listitem>
+dhcpcd patch for FHS compliance.</para></listitem>
 
-<listitem><para><emphasis>DJ Lucas</emphasis> for contibuting to dhcpcd
+<listitem><para><emphasis>DJ Lucas</emphasis> for contributing to dhcpcd
 patch and many contributions while dhcp section was being
 developed.</para></listitem>
Index: postlfs/config/bootdisk.xml
===================================================================
--- postlfs/config/bootdisk.xml	(revision 0a9287ae7216b54999a870489312f1ac489bd88b)
+++ postlfs/config/bootdisk.xml	(revision 64d97b7c532eb01d7a1399dbb30646d77c9a6b6e)
@@ -25,5 +25,5 @@
 
 <para>
-Now that we have a file mounted and useable, let's prepare it to be 
+Now that we have a file mounted and usable, let's prepare it to be 
 filled with useful material.  Since this is only a rescue floppy we'll 
 only need to set up the minimum directories.</para>
Index: postlfs/config/config.xml
===================================================================
--- postlfs/config/config.xml	(revision 0a9287ae7216b54999a870489312f1ac489bd88b)
+++ postlfs/config/config.xml	(revision 64d97b7c532eb01d7a1399dbb30646d77c9a6b6e)
@@ -15,5 +15,5 @@
 subsystems but these are mostly simply pretty frontends to the process
 of editing the file.  The advantage of text-only configuration is that
-you can edit parameters using your favourite text editor, whether that
+you can edit parameters using your favorite text editor, whether that
 be vim, emacs or anything else.</para>
 
Index: postlfs/config/logon.xml
===================================================================
--- postlfs/config/logon.xml	(revision 0a9287ae7216b54999a870489312f1ac489bd88b)
+++ postlfs/config/logon.xml	(revision 64d97b7c532eb01d7a1399dbb30646d77c9a6b6e)
@@ -1,5 +1,5 @@
 <sect1 id="postlfs-config-logon">
 <?dbhtml filename="logon.html" dir="postlfs"?>
-<title>/etc/issue (Customising your logon)</title>
+<title>/etc/issue (Customizing your logon)</title>
 
 <para>When you first boot up your new LFS system, the logon screen will
@@ -26,5 +26,5 @@
 alone.</para>
 
-<para>The following escapes are recognised by agetty (the program which
+<para>The following escapes are recognized by agetty (the program which
 usually parses <filename>/etc/issue</filename>).  This information is from
 <userinput>man agetty</userinput> where you can find extra information
Index: postlfs/config/profile.xml
===================================================================
--- postlfs/config/profile.xml	(revision 0a9287ae7216b54999a870489312f1ac489bd88b)
+++ postlfs/config/profile.xml	(revision 64d97b7c532eb01d7a1399dbb30646d77c9a6b6e)
@@ -4,5 +4,5 @@
 
 <para>The shell program <filename>/bin/bash</filename> (hereafter
-refered to as just "the shell") uses a collection of startup files to
+referred to as just "the shell") uses a collection of startup files to
 help create an environment to run in.  Each file has a specific use and
 may affect login and interactive environments differently.</para>
@@ -24,5 +24,5 @@
 <filename>~/.bash_profile</filename>, and
 <filename>~/.bashrc</filename>.  The file
-<filename>~/.bash_logout</filename> is not used for an invokation of the
+<filename>~/.bash_logout</filename> is not used for an invocation of the
 shell.  It is read by the shell when a user logouts of the system.  The
 files <filename>/etc/profile</filename> and
@@ -134,5 +134,5 @@
 # by James Robertson &lt;jameswrobertson@earthlink.net&gt;
 
-# Personal envrionment variables and startup programs.
+# Personal environment variables and startup programs.
 
 # Personal aliases and functions should go in ~/.bashrc.  System wide
@@ -162,5 +162,5 @@
 
 # Personal environment variables and startup programs should go in
-# ~/.bash_profile.  System wide environment variables and starup
+# ~/.bash_profile.  System wide environment variables and startup
 # programs are in /etc/profile.  System wide aliases and functions are
 # in /etc/bashrc. 
Index: postlfs/config/vimrc.xml
===================================================================
--- postlfs/config/vimrc.xml	(revision 0a9287ae7216b54999a870489312f1ac489bd88b)
+++ postlfs/config/vimrc.xml	(revision 64d97b7c532eb01d7a1399dbb30646d77c9a6b6e)
@@ -47,5 +47,5 @@
 
 <listitem><para><userinput>set bs=2 :</userinput>
-This influences the behaviour of the backspace option.  It is fairly
+This influences the behavior of the backspace option.  It is fairly
 complex so see <userinput>:help 'bs'</userinput> for more 
 details.</para></listitem>
@@ -56,5 +56,5 @@
 
 <listitem><para><userinput>set background=dark :</userinput>
-This tells vim to use colours which look good on a dark 
+This tells vim to use colors which look good on a dark 
 background.</para></listitem>
 
Index: postlfs/security/firewalling/busybox.xml
===================================================================
--- postlfs/security/firewalling/busybox.xml	(revision 0a9287ae7216b54999a870489312f1ac489bd88b)
+++ postlfs/security/firewalling/busybox.xml	(revision 64d97b7c532eb01d7a1399dbb30646d77c9a6b6e)
@@ -13,5 +13,5 @@
 setup more complex and your box less secure: You induce the risks of 
 misconfigured services or running a service with an exploitable bug, both risks 
-that a firewall principially should be immune of. See the introduction to 
+that a firewall principally should be immune of. See the introduction to 
 <xref linkend="postlfs-security-fw-masqRouter"/> for some more details.</para>
 
Index: postlfs/security/firewalling/intro.xml
===================================================================
--- postlfs/security/firewalling/intro.xml	(revision 0a9287ae7216b54999a870489312f1ac489bd88b)
+++ postlfs/security/firewalling/intro.xml	(revision 64d97b7c532eb01d7a1399dbb30646d77c9a6b6e)
@@ -13,5 +13,5 @@
 to aim no harm, you wouldn't need to do firewalling!  
 In the real world however, daemons may be misconfigured, 
-exploits against essential services are freely availiable, you 
+exploits against essential services are freely available, you 
 may wish to choose which services are accessible by certain machines, 
 you may wish to limit which machines or applications are allowed 
@@ -47,5 +47,5 @@
 <sect3><title><xref linkend="postlfs-security-fw-masqRouter"/></title>
 <para>This is a box placed between the internet and an intranet. 
-To minimize the risk of compromizing the firewall itself it
+To minimize the risk of compromising the firewall itself it
 should generally have only one role, that of protecting the intranet.
 Although not completely riskless, the tasks of doing the routing 
@@ -53,5 +53,5 @@
 of the packets it routes from clients with private IP-addresses onto 
 the internet so that they seem to come from the firewall 
-itself</para></footnote> are commonly considerd harmless.</para></sect3>
+itself</para></footnote> are commonly considered harmless.</para></sect3>
 
 <sect3><title><xref linkend="postlfs-security-fw-busybox"/></title>
Index: postlfs/security/iptables/iptables-desc.xml
===================================================================
--- postlfs/security/iptables/iptables-desc.xml	(revision 0a9287ae7216b54999a870489312f1ac489bd88b)
+++ postlfs/security/iptables/iptables-desc.xml	(revision 64d97b7c532eb01d7a1399dbb30646d77c9a6b6e)
@@ -15,5 +15,5 @@
 
 <sect3><title>iptables-save, ~-restore</title>
-<para>to save and to restore your elabourated set of chains and rules.
+<para>to save and to restore your elaborated set of chains and rules.
 Until iptables-1.2.5 they were declared experimental.</para>
 </sect3>
Index: postlfs/security/iptables/iptables-intro.xml
===================================================================
--- postlfs/security/iptables/iptables-intro.xml	(revision 0a9287ae7216b54999a870489312f1ac489bd88b)
+++ postlfs/security/iptables/iptables-intro.xml	(revision 64d97b7c532eb01d7a1399dbb30646d77c9a6b6e)
@@ -24,5 +24,5 @@
 is checked (if it is available at <filename>/usr/src/linux</filename> to
 see which features are available.  Support will only be compiled into
-iptables for the features recognised at compile-time.  Applying a kernel
+iptables for the features recognized at compile-time.  Applying a kernel
 patch may result in errors, often because the hooks for the patches
 have changed or because the runme script doesn't recognize that a patch
Index: postlfs/security/shadow/shadow-inst.xml
===================================================================
--- postlfs/security/shadow/shadow-inst.xml	(revision 0a9287ae7216b54999a870489312f1ac489bd88b)
+++ postlfs/security/shadow/shadow-inst.xml	(revision 64d97b7c532eb01d7a1399dbb30646d77c9a6b6e)
@@ -1,4 +1,4 @@
 <sect2>
-<title>Reinstallation of shadow to utilize PAM</title>
+<title>Re-installation of shadow to utilize PAM</title>
 
 <para>Download the patch for shadow from <ulink url="&hfile-root;"/></para>
Index: preface/organization.xml
===================================================================
--- preface/organization.xml	(revision 0a9287ae7216b54999a870489312f1ac489bd88b)
+++ preface/organization.xml	(revision 64d97b7c532eb01d7a1399dbb30646d77c9a6b6e)
@@ -58,5 +58,5 @@
 
 <sect2><title>Part XIII - Printing, Scanning and Typesetting</title>
-<para>The PST part of the book covers things from ghostscript, cups and Docbook 
+<para>The PST part of the book covers things from ghostscript, cups and DocBook 
 to installing TeX.</para></sect2>
 
Index: x/wm/sawfish/sawfish-exp.xml
===================================================================
--- x/wm/sawfish/sawfish-exp.xml	(revision 0a9287ae7216b54999a870489312f1ac489bd88b)
+++ x/wm/sawfish/sawfish-exp.xml	(revision 64d97b7c532eb01d7a1399dbb30646d77c9a6b6e)
@@ -1,13 +1,4 @@
 <sect2>
 <title>Command explanations</title>
-
-<para><userinput>--enable-capplet</userinput> : This command is only
-needed if you use GNOME.  It allows sawfish to be configured via the
-control center.</para>
-
-<para><userinput>--with-gdk-pixbuf</userinput> : This command directs
-sawfish to use gdk-pixbuf for image management instead of imlib. GTK+2
-includes gdk-pixbuf in its package, whereas GTK+ requires an additional
-package called gdk-pixbuf.</para>
 
 <para><userinput>--with-audiofile</userinput> : This command directs
@@ -17,5 +8,5 @@
 to use the Enlightened Sound Daemon.</para>
 
-<para><userinput>--with-gnome-prefix=/opt/gnome2</userinput> : This
+<para><userinput>--with-gnome-prefix=/opt/gnome-2.2</userinput> : This
 command directs sawfish to GNOME's directory.</para> 
 
Index: x/wm/sawfish/sawfish-inst.xml
===================================================================
--- x/wm/sawfish/sawfish-inst.xml	(revision 0a9287ae7216b54999a870489312f1ac489bd88b)
+++ x/wm/sawfish/sawfish-inst.xml	(revision 64d97b7c532eb01d7a1399dbb30646d77c9a6b6e)
@@ -2,15 +2,8 @@
 <title>Installation of sawfish</title>
 
-<para>Install sawfish-&sawfish-version;  by running the following commands:</para>
+<para>Install sawfish by running the following commands:</para>
 
-<para><screen><userinput>./configure --prefix=/usr --libexec=/usr/sbin --infodir=/usr/share/info --enable-capplet \
- --with-gdk-pixbuf --with-gnome-prefix=/opt/gnome2 &amp;&amp;
-make &amp;&amp;
-make install</userinput></screen></para>
-
-<para>Install sawfish-1.2-gtk1 by running the following commands:</para>
-
-<para><screen><userinput>./configure --prefix=/usr --libexec=/usr/sbin --infodir=/usr/share/info --enable-capplet \
---with-gdk-pixbuf --with-gnome-prefix=/opt/gnome &amp;&amp;
+<para><screen><userinput>./configure --prefix=/usr --libexec=/usr/sbin --infodir=/usr/share/info \
+  --with-gnome-prefix=/opt/gnome-2.2 &amp;&amp;
 make &amp;&amp;
 make install</userinput></screen></para>
Index: x/wm/sawfish/sawfish-intro.xml
===================================================================
--- x/wm/sawfish/sawfish-intro.xml	(revision 0a9287ae7216b54999a870489312f1ac489bd88b)
+++ x/wm/sawfish/sawfish-intro.xml	(revision 64d97b7c532eb01d7a1399dbb30646d77c9a6b6e)
@@ -6,5 +6,6 @@
 Version used:                   &sawfish-version;
 Package size:                   &sawfish-size;
-Estimated Disk space required:  &sawfish-buildsize;</screen>
+Estimated Disk space required:  &sawfish-buildsize;
+Estimated build time:           &sawfish-time;</screen>
 
 <para>The sawfish package contains a window manager. This is useful for
@@ -14,16 +15,8 @@
 
 <screen>sawfish-&sawfish-version; depends on:
-<xref linkend="xfree86"/>, <xref linkend="imlib"/>, <xref linkend="librep"/>, <xref linkend="rep-gtk"/>, <xref linkend="esound"/> and <xref linkend="GTK2"/>
+<xref linkend="xfree86"/>, <xref linkend="librep"/>, <xref linkend="rep-gtk"/>, <xref linkend="esound"/> and <xref linkend="GTK2"/>
 sawfish will utilize:
 <xref linkend="libglade"/></screen>
 
-<para>Use sawfish-1.2-gtk1 if you do not have GTK2 installed.</para>
-
-<screen>sawfish-1.2-gtk1 depends on:
-<xref linkend="xfree86"/>, <xref linkend="imlib"/> or <xref
-linkend="gdk"/>, <xref linkend="librep"/>, <xref linkend="GTK"/> and rep-gtk-0.15 (see <xref linkend="rep-gtk"/>)
-sawfish will utilize:
-<xref linkend="audiofile"/>, <xref linkend="esound"/> and <xref
-linkend="libglade14"/></screen>
 
 </sect2>
Index: x/wm/sawfish/sawfish.ent
===================================================================
--- x/wm/sawfish/sawfish.ent	(revision 0a9287ae7216b54999a870489312f1ac489bd88b)
+++ x/wm/sawfish/sawfish.ent	(revision 64d97b7c532eb01d7a1399dbb30646d77c9a6b6e)
@@ -6,6 +6,7 @@
 <!ENTITY sawfish-config SYSTEM "sawfish-config.xml">
 <!ENTITY sawfish-buildsize "13 MB">
-<!ENTITY sawfish-version "1.2-gtk2">
-<!ENTITY sawfish-download-http "http://telia.dl.sourceforge.net/sawmill/sawfish-1.2-gtk2.tar.gz">
+<!ENTITY sawfish-version "1.3">
+<!ENTITY sawfish-download-http "http://telia.dl.sourceforge.net/sawmill/sawfish-1.3.tar.gz">
 <!ENTITY sawfish-download-ftp "">
 <!ENTITY sawfish-size "1.5 MB">
+<!ENTITY sawfish-time "0.80 SBU">