Index: kde/add/kdeaccessibility.xml
===================================================================
--- kde/add/kdeaccessibility.xml	(revision 5e51efe2ef0db84a55b2d4c0c88f05bf752b484a)
+++ kde/add/kdeaccessibility.xml	(revision 65ce93ae5876897d9f9e784e2785b525b0df6a3c)
@@ -6,8 +6,8 @@
   <!ENTITY kdeaccessibility-download-http "&kde-download-http;/kdeaccessibility-&kde-version;.tar.bz2">
   <!ENTITY kdeaccessibility-download-ftp  "&kde-download-ftp;/kdeaccessibility-&kde-version;.tar.bz2">
-  <!ENTITY kdeaccessibility-md5sum        "79c7fa53ec60ad51fbdb16aac56d85a1">
+  <!ENTITY kdeaccessibility-md5sum        "feb1582b9acc573cef8cd357d8a7bc1d">
   <!ENTITY kdeaccessibility-size          "8.4 MB">
   <!ENTITY kdeaccessibility-buildsize     "57 MB">
-  <!ENTITY kdeaccessibility-time          "2.1 SBU">
+  <!ENTITY kdeaccessibility-time          "2.2 SBU">
 ]>
 
Index: kde/add/kdeaddons.xml
===================================================================
--- kde/add/kdeaddons.xml	(revision 5e51efe2ef0db84a55b2d4c0c88f05bf752b484a)
+++ kde/add/kdeaddons.xml	(revision 65ce93ae5876897d9f9e784e2785b525b0df6a3c)
@@ -6,8 +6,8 @@
   <!ENTITY kdeaddons-download-http "&kde-download-http;/kdeaddons-&kde-version;.tar.bz2">
   <!ENTITY kdeaddons-download-ftp  "&kde-download-ftp;/kdeaddons-&kde-version;.tar.bz2">
-  <!ENTITY kdeaddons-md5sum        "eaa3832a25b483d1a9613f75991c3d7b">
+  <!ENTITY kdeaddons-md5sum        "c69d082407b2c1bb46d078f8ac5d2bea">
   <!ENTITY kdeaddons-size          "1.7 MB">
-  <!ENTITY kdeaddons-buildsize     "48 MB">
-  <!ENTITY kdeaddons-time          "5.7 SBU">
+  <!ENTITY kdeaddons-buildsize     "42 MB">
+  <!ENTITY kdeaddons-time          "3.5 SBU">
 ]>
 
Index: kde/add/kdeadmin.xml
===================================================================
--- kde/add/kdeadmin.xml	(revision 5e51efe2ef0db84a55b2d4c0c88f05bf752b484a)
+++ kde/add/kdeadmin.xml	(revision 65ce93ae5876897d9f9e784e2785b525b0df6a3c)
@@ -6,8 +6,8 @@
   <!ENTITY kdeadmin-download-http "&kde-download-http;/kdeadmin-&kde-version;.tar.bz2">
   <!ENTITY kdeadmin-download-ftp  "&kde-download-ftp;/kdeadmin-&kde-version;.tar.bz2">
-  <!ENTITY kdeadmin-md5sum        "e6607ea27b332616d20f4564656cb885">
-  <!ENTITY kdeadmin-size          "2.1 MB">
-  <!ENTITY kdeadmin-buildsize     "25 MB">
-  <!ENTITY kdeadmin-time          "1.1 SBU">
+  <!ENTITY kdeadmin-md5sum        "eb23c52c945f31a48f2c9df4330a1262">
+  <!ENTITY kdeadmin-size          "2.0 MB">
+  <!ENTITY kdeadmin-buildsize     "26 MB">
+  <!ENTITY kdeadmin-time          "1.6 SBU">
 ]>
 
Index: kde/add/kdeartwork.xml
===================================================================
--- kde/add/kdeartwork.xml	(revision 5e51efe2ef0db84a55b2d4c0c88f05bf752b484a)
+++ kde/add/kdeartwork.xml	(revision 65ce93ae5876897d9f9e784e2785b525b0df6a3c)
@@ -6,8 +6,8 @@
   <!ENTITY kdeartwork-download-http "&kde-download-http;/kdeartwork-&kde-version;.tar.bz2">
   <!ENTITY kdeartwork-download-ftp  "&kde-download-ftp;/kdeartwork-&kde-version;.tar.bz2">
-  <!ENTITY kdeartwork-md5sum        "ec526eba38421fd3b143682b8d683c86">
-  <!ENTITY kdeartwork-size          "16.0 MB">
-  <!ENTITY kdeartwork-buildsize     "99 MB">
-  <!ENTITY kdeartwork-time          "1.5 SBU">
+  <!ENTITY kdeartwork-md5sum        "6e6f089dc0f1dabb0f138641600d0b59">
+  <!ENTITY kdeartwork-size          "15.8 MB">
+  <!ENTITY kdeartwork-buildsize     "97 MB">
+  <!ENTITY kdeartwork-time          "1.3 SBU">
 ]>
 
Index: kde/add/kdeedu.xml
===================================================================
--- kde/add/kdeedu.xml	(revision 5e51efe2ef0db84a55b2d4c0c88f05bf752b484a)
+++ kde/add/kdeedu.xml	(revision 65ce93ae5876897d9f9e784e2785b525b0df6a3c)
@@ -6,8 +6,8 @@
   <!ENTITY kdeedu-download-http "&kde-download-http;/kdeedu-&kde-version;.tar.bz2">
   <!ENTITY kdeedu-download-ftp  "&kde-download-ftp;/kdeedu-&kde-version;.tar.bz2">
-  <!ENTITY kdeedu-md5sum        "cbdabe916ce6fa300f8dab972c5cb4a4">
-  <!ENTITY kdeedu-size          "29.0 MB">
-  <!ENTITY kdeedu-buildsize     "205 MB">
-  <!ENTITY kdeedu-time          "6.5 SBU">
+  <!ENTITY kdeedu-md5sum        "1b1466bf4cb0a59b1abd8613a2588142">
+  <!ENTITY kdeedu-size          "28.8 MB">
+  <!ENTITY kdeedu-buildsize     "198 MB">
+  <!ENTITY kdeedu-time          "7.7 SBU">
 ]>
 
Index: kde/add/kdegames.xml
===================================================================
--- kde/add/kdegames.xml	(revision 5e51efe2ef0db84a55b2d4c0c88f05bf752b484a)
+++ kde/add/kdegames.xml	(revision 65ce93ae5876897d9f9e784e2785b525b0df6a3c)
@@ -6,8 +6,8 @@
   <!ENTITY kdegames-download-http "&kde-download-http;/kdegames-&kde-version;.tar.bz2">
   <!ENTITY kdegames-download-ftp  "&kde-download-ftp;/kdegames-&kde-version;.tar.bz2">
-  <!ENTITY kdegames-md5sum        "472385f21a692270fb5643d7617c7ff3">
-  <!ENTITY kdegames-size          "11.0 MB">
-  <!ENTITY kdegames-buildsize     "98 MB (additional 13 MB for API docs)">
-  <!ENTITY kdegames-time          "3.2 SBU (additional 0.6 SBU for API docs)">
+  <!ENTITY kdegames-md5sum        "5533b3886cbb74180933fe3f3d209031">
+  <!ENTITY kdegames-size          "10.3 MB">
+  <!ENTITY kdegames-buildsize     "94 MB (additional 13 MB for API docs)">
+  <!ENTITY kdegames-time          "3.1 SBU (additional 0.1 SBU for API docs)">
 ]>
 
Index: kde/add/kdegraphics.xml
===================================================================
--- kde/add/kdegraphics.xml	(revision 5e51efe2ef0db84a55b2d4c0c88f05bf752b484a)
+++ kde/add/kdegraphics.xml	(revision 65ce93ae5876897d9f9e784e2785b525b0df6a3c)
@@ -6,8 +6,8 @@
   <!ENTITY kdegraphics-download-http "&kde-download-http;/kdegraphics-&kde-version;.tar.bz2">
   <!ENTITY kdegraphics-download-ftp  "&kde-download-ftp;/kdegraphics-&kde-version;.tar.bz2">
-  <!ENTITY kdegraphics-md5sum        "3d75e27180573a4e077e0245055891a5">
+  <!ENTITY kdegraphics-md5sum        "09094b5357d8cd5c49d45b5d291dcfe">
   <!ENTITY kdegraphics-size          "7.1 MB">
-  <!ENTITY kdegraphics-buildsize     "150 MB (additional 37 MB for API docs)">
-  <!ENTITY kdegraphics-time          "7.5 SBU (additional 0.6 SBU for API docs)">
+  <!ENTITY kdegraphics-buildsize     "115 MB (additional 37 MB for API docs)">
+  <!ENTITY kdegraphics-time          "7.0 SBU (additional 0.1 SBU for API docs)">
 ]>
 
Index: kde/add/kdemultimedia.xml
===================================================================
--- kde/add/kdemultimedia.xml	(revision 5e51efe2ef0db84a55b2d4c0c88f05bf752b484a)
+++ kde/add/kdemultimedia.xml	(revision 65ce93ae5876897d9f9e784e2785b525b0df6a3c)
@@ -7,8 +7,8 @@
   <!ENTITY kdemultimedia-download-http "&kde-download-http;/kdemultimedia-&kde-version;.tar.bz2">
   <!ENTITY kdemultimedia-download-ftp  "&kde-download-ftp;/kdemultimedia-&kde-version;.tar.bz2">
-  <!ENTITY kdemultimedia-md5sum        "fdfafe38d2c7e3019dafc80c177add15">
-  <!ENTITY kdemultimedia-size          "6.1 MB">
-  <!ENTITY kdemultimedia-buildsize     "125 MB (additional 1 MB for API docs)">
-  <!ENTITY kdemultimedia-time          "9.8 SBU (additional 0.2 SBU for API docs)">
+  <!ENTITY kdemultimedia-md5sum        "8e8cd7f41d37f7da8bd239048abf3516">
+  <!ENTITY kdemultimedia-size          "6.0 MB">
+  <!ENTITY kdemultimedia-buildsize     "122 MB">
+  <!ENTITY kdemultimedia-time          "9.7 SBU">
 
   <!ENTITY akode-version       "2.0.2">
@@ -109,8 +109,17 @@
     <bridgehead renderas="sect3">Installation of Akode</bridgehead>
 
-    <para>Install <application>Akode</application> by issuing the following
-    commands:</para>
-
-<screen><userinput>./configure --prefix=&kde-dir; --without-ffmpeg \
+<screen><userinput>sed -i "s/#include &lt;iostream&gt;/&amp;\n#include &lt;cstdlib&gt;/" \
+    akode/lib/auto_sink.cpp  &amp;&amp;
+
+sed -i 's/#include "../lib/decoder.h"/&amp;\n#include &lt;cstdlib&gt;/' \
+    akode/akodeplay/akodeplay.cpp  &amp;&amp;
+
+sed -i "s/&lt;assert.h&gt;/&amp;\n#include &lt;string.h&gt;\n/" \
+    akode/lib/player.cpp  &amp;&amp;
+
+sed -i "s/&lt;iostream&gt;/&amp;\n#include &lt;string.h&gt;\n/" \
+     akode/lib/magic.cpp  &amp;&amp;
+
+./configure --prefix=&kde-dir; --without-ffmpeg \
     --disable-debug --disable-dependency-tracking &amp;&amp;
 make</userinput></screen>
@@ -126,4 +135,8 @@
   <sect2 role="commands">
     <title>Command Explanations</title>
+
+    <para><command>sed ...</command>: The four sed commands insert headers
+    needed by <application>gcc-4.3</application> and above because the C++ header
+    dependencies have been cleaned up.</para>
 
     <para><parameter>--without-ffmpeg</parameter>: This option disables the
@@ -236,6 +249,10 @@
 make</userinput></screen>
 
+<!--
+    The apidox target has been removed from this package.
+
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../../xincludes/kde-apidocs.xml"/>
+-->
 
      <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
Index: kde/add/kdenetwork.xml
===================================================================
--- kde/add/kdenetwork.xml	(revision 5e51efe2ef0db84a55b2d4c0c88f05bf752b484a)
+++ kde/add/kdenetwork.xml	(revision 65ce93ae5876897d9f9e784e2785b525b0df6a3c)
@@ -7,7 +7,7 @@
   <!ENTITY kdenetwork-download-ftp  "&kde-download-ftp;/kdenetwork-&kde-version;.tar.bz2">
   <!ENTITY kdenetwork-md5sum        "0ec1d4ccd550510821a622eb91b893e8">
-  <!ENTITY kdenetwork-size          "9.0 MB">
-  <!ENTITY kdenetwork-buildsize     "194 MB (additional 26 MB for API docs)">
-  <!ENTITY kdenetwork-time          "12 SBU (additional 0.2 SBU for API docs">
+  <!ENTITY kdenetwork-size          "8.9 MB">
+  <!ENTITY kdenetwork-buildsize     "155 MB (additional 24 MB for API docs)">
+  <!ENTITY kdenetwork-time          "13.5 SBU (additional 0.1 SBU for API docs">
 ]>
 
Index: kde/add/kdepim.xml
===================================================================
--- kde/add/kdepim.xml	(revision 5e51efe2ef0db84a55b2d4c0c88f05bf752b484a)
+++ kde/add/kdepim.xml	(revision 65ce93ae5876897d9f9e784e2785b525b0df6a3c)
@@ -6,8 +6,8 @@
   <!ENTITY kdepim-download-http "&kde-download-http;/kdepim-&kde-version;.tar.bz2">
   <!ENTITY kdepim-download-ftp  "&kde-download-ftp;/kdepim-&kde-version;.tar.bz2">
-  <!ENTITY kdepim-md5sum        "ba27b06599556c572a26f03608471ee2">
-  <!ENTITY kdepim-size          "14.0 MB">
-  <!ENTITY kdepim-buildsize     "281 MB (additional 251 MB for API docs)">
-  <!ENTITY kdepim-time          "22 SBU (additional 1 SBU for API docs)">
+  <!ENTITY kdepim-md5sum        "fc93e458a8eec8131ede56cff30c28b2">
+  <!ENTITY kdepim-size          "13.9 MB">
+  <!ENTITY kdepim-buildsize     "267 MB (additional 245 MB for API docs)">
+  <!ENTITY kdepim-time          "24 SBU (additional 0.9 SBU for API docs)">
 ]>
 
@@ -92,8 +92,13 @@
     <para>Install <application>kdepim</application> with:</para>
 
-<screen><userinput>./configure --prefix=&kde-dir; --disable-debug \
+<screen><userinput>sed -i "s@ \*/@&amp;\n#define HAVE_FOPENCOOKIE@" \
+    libkdenetwork/libgpgme-copy/{assuan,gpgme}/funopen.c &amp;&amp;
+sed -i -e 's|linux/inotify|sys/inotify|'                 \
+       -e '/^static inline int inotify_init/,/^}/d'      \
+       -e '/^static inline int inotify_add_watch/,/^}/d' \
+       -e '/^static inline int inotify_rm_watch/,/^}/d'  \
+       kmail/editorwatcher.cpp &amp;&amp;
+./configure --prefix=&kde-dir; --disable-debug \
     --disable-dependency-tracking &amp;&amp;
-sed -i "s@ \*/@&amp;\n#define HAVE_FOPENCOOKIE@" \
-    libkdenetwork/libgpgme-copy/{assuan,gpgme}/funopen.c &amp;&amp;
 make</userinput></screen>
 
@@ -106,4 +111,18 @@
 
 <screen role="root"><userinput>make install</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+
+    <para><command>sed -i ... funopen.c</command>: This prevents an error
+    during build that is caused by <command>configure</command> not 
+    properly detecting a capability built into <filename>glibc</filename>.
+    </para>
+
+    <para><command>sed -i ... kmail/editorwatcher.cpp</command>: This This
+    command is necessary to prevent a conflict in linux headers. The equivalent
+    instructions that are deleted are now within glibc.</para>
 
   </sect2>
Index: kde/add/kdetoys.xml
===================================================================
--- kde/add/kdetoys.xml	(revision 5e51efe2ef0db84a55b2d4c0c88f05bf752b484a)
+++ kde/add/kdetoys.xml	(revision 65ce93ae5876897d9f9e784e2785b525b0df6a3c)
@@ -6,8 +6,8 @@
   <!ENTITY kdetoys-download-http "&kde-download-http;/kdetoys-&kde-version;.tar.bz2">
   <!ENTITY kdetoys-download-ftp  "&kde-download-ftp;/kdetoys-&kde-version;.tar.bz2">
-  <!ENTITY kdetoys-md5sum        "10fd55e004a582f87eed6796811bb3b8">
-  <!ENTITY kdetoys-size          "3.2 MB">
+  <!ENTITY kdetoys-md5sum        "1da4383e2d520dfd572edb33b708822d">
+  <!ENTITY kdetoys-size          "3.1 MB">
   <!ENTITY kdetoys-buildsize     "21 MB">
-  <!ENTITY kdetoys-time          "0.9 SBU">
+  <!ENTITY kdetoys-time          "0.8 SBU">
 ]>
 
Index: kde/add/kdeutils.xml
===================================================================
--- kde/add/kdeutils.xml	(revision 5e51efe2ef0db84a55b2d4c0c88f05bf752b484a)
+++ kde/add/kdeutils.xml	(revision 65ce93ae5876897d9f9e784e2785b525b0df6a3c)
@@ -6,8 +6,8 @@
   <!ENTITY kdeutils-download-http "&kde-download-http;/kdeutils-&kde-version;.tar.bz2">
   <!ENTITY kdeutils-download-ftp  "&kde-download-ftp;/kdeutils-&kde-version;.tar.bz2">
-  <!ENTITY kdeutils-md5sum        "dbe5ddff57141f27778601df5571e182">
-  <!ENTITY kdeutils-size          "3.0 MB">
-  <!ENTITY kdeutils-buildsize     "64 MB (additional 8 MB for API docs)">
-  <!ENTITY kdeutils-time          "3.7 SBU (additional 0.2 SBU for API docs)">
+  <!ENTITY kdeutils-md5sum        "038f94275f42df3cae89735506ffbc0b">
+  <!ENTITY kdeutils-size          "2.0 MB">
+  <!ENTITY kdeutils-buildsize     "63 MB (additional 7.6 MB for API docs)">
+  <!ENTITY kdeutils-time          "4.7 SBU (additional 0.1 SBU for API docs)">
 ]>
 
Index: kde/core/arts.xml
===================================================================
--- kde/core/arts.xml	(revision 5e51efe2ef0db84a55b2d4c0c88f05bf752b484a)
+++ kde/core/arts.xml	(revision 65ce93ae5876897d9f9e784e2785b525b0df6a3c)
@@ -7,8 +7,8 @@
   <!ENTITY arts-download-http "&kde-download-http;/arts-&arts-version;.tar.bz2">
   <!ENTITY arts-download-ftp  "&kde-download-ftp;/arts-&arts-version;.tar.bz2">
-  <!ENTITY arts-md5sum        "62a5e4d522314bab19288e4702480c93">
-  <!ENTITY arts-size          "951 KB">
-  <!ENTITY arts-buildsize     "30 MB">
-  <!ENTITY arts-time          "1.3 SBU">
+  <!ENTITY arts-md5sum        "6da172aab2a4a44929b5fdfc30fa3efc">
+  <!ENTITY arts-size          "956 KB">
+  <!ENTITY arts-buildsize     "28 MB">
+  <!ENTITY arts-time          "1.4 SBU">
 ]>
 
Index: kde/core/kdebase.xml
===================================================================
--- kde/core/kdebase.xml	(revision 5e51efe2ef0db84a55b2d4c0c88f05bf752b484a)
+++ kde/core/kdebase.xml	(revision 65ce93ae5876897d9f9e784e2785b525b0df6a3c)
@@ -7,8 +7,8 @@
   <!ENTITY kdebase-download-http "&kde-download-http;/kdebase-&kde-version;.tar.bz2">
   <!ENTITY kdebase-download-ftp  "&kde-download-ftp;/kdebase-&kde-version;.tar.bz2">
-  <!ENTITY kdebase-md5sum        "c8c35389a238aa1b73e68ef5298eadf8">
-  <!ENTITY kdebase-size          "24.0 MB">
-  <!ENTITY kdebase-buildsize     "273 MB (additional 17 MB for API docs)">
-  <!ENTITY kdebase-time          "11 SBU (additional 8.4 SBU for API docs)">
+  <!ENTITY kdebase-md5sum        "88237188271fbf1e6bcd40180a75d953">
+  <!ENTITY kdebase-size          "23.2 MB">
+  <!ENTITY kdebase-buildsize     "185 MB (additional 8.4 MB for API docs)">
+  <!ENTITY kdebase-time          "15.6 SBU (additional 0.1 SBU for API docs)">
 ]>
 
@@ -139,5 +139,5 @@
 <screen><userinput>./configure --prefix=&kde-dir; --sysconfdir=/etc/kde \
     --disable-debug --disable-dependency-tracking &amp;&amp;
-LD_LIBRARY_PATH="$KDE_PREFIX/lib" make</userinput></screen>
+make</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
@@ -149,7 +149,11 @@
 
   </sect2>
-
+<!--
   <sect2 role="commands">
     <title>Command Explanations</title>
+
+    This is not true.  If KDE is configured correctly according to the
+    instructions, the libraries are found just fine.  See the 
+    KDE Pre-installation Configuration section.
 
     <para><parameter>LD_LIBRARY_PATH="$KDE_PREFIX/lib" make</parameter>: A bug in
@@ -161,4 +165,5 @@
 
   </sect2>
+-->
   <sect2 role="configuration">
     <title>Configuring Kdebase</title>
Index: kde/core/kdelibs.xml
===================================================================
--- kde/core/kdelibs.xml	(revision 5e51efe2ef0db84a55b2d4c0c88f05bf752b484a)
+++ kde/core/kdelibs.xml	(revision 65ce93ae5876897d9f9e784e2785b525b0df6a3c)
@@ -7,8 +7,8 @@
   <!ENTITY kdelibs-download-http "&kde-download-http;/kdelibs-&kde-version;.tar.bz2">
   <!ENTITY kdelibs-download-ftp  "&kde-download-ftp;/kdelibs-&kde-version;.tar.bz2">
-  <!ENTITY kdelibs-md5sum        "55e5f00874933d1a7ba7c95e369a205e">
-  <!ENTITY kdelibs-size          "15.0 MB">
-  <!ENTITY kdelibs-buildsize     "276 MB (additional 431 MB for API docs)">
-  <!ENTITY kdelibs-time          "15 SBU (additional 1.25 SBU for API docs)">
+  <!ENTITY kdelibs-md5sum        "43cd55ed15f63b5738d620ef9f9fd568">
+  <!ENTITY kdelibs-size          "14.9 MB">
+  <!ENTITY kdelibs-buildsize     "254 MB (additional 426 MB for API docs)">
+  <!ENTITY kdelibs-time          "13.1 SBU (additional 3.0 SBU for API docs)">
 ]>
 
@@ -116,16 +116,34 @@
     <para>Install <application>kdelibs</application> with:</para>
 
-<screen><userinput>./configure --prefix=&kde-dir; \
+<screen><userinput>patch -Np1 -i ../kdelibs-&kde-version;-charset-1.patch &amp;&amp;
+sed -i -e 's|linux/inotify|sys/inotify|'                 \
+       -e '/^static inline int inotify_init/,/^}/d'      \
+       -e '/^static inline int inotify_add_watch/,/^}/d' \
+       -e '/^static inline int inotify_rm_watch/,/^}/d'  \
+       kio/kio/kdirwatch.cpp &amp;&amp;
+./configure --prefix=$KDE_PREFIX  \
             --sysconfdir=/etc/kde \
-            --disable-debug \
+            --disable-debug       \
             --disable-dependency-tracking &amp;&amp;
-LD_LIBRARY_PATH="$QTDIR/lib" make</userinput></screen>
+make</userinput></screen>
 
     <note>
+
       <para>If you wish to create the API documentation and you have
-      <application>Doxygen</application> and <application>Graphviz</application>
-      installed, <command>make apidox</command> must be done before
-      <command>make install</command>. This applies to all packages which
-      can utilize <application>Doxygen</application>.</para>
+      <application>Doxygen</application> and
+      <application>Graphviz</application> installed, it must be done before the
+      <command>make install</command>. This applies to all packages which can
+      utilize <application>Doxygen</application>.</para>
+
+      <para><emphasis>The usual building the API documentation in this package
+      will run forever because of a bug in
+      <application>doxygen</application>.</emphasis>  There is a symbolic link
+      in the <filename class='directory'>kdeprint</filename> directory that is
+      not handled properly.  To fix this, delete the link, generate the 
+      documentation, and recreate the symbolic link:</para>
+
+      <screen><userinput>rm kdeprint/kdeprint &amp;&amp;
+make apidox &amp;&amp;
+ln -s  management kdeprint/kdeprint</userinput></screen>
 
       <para>The <command>make apidox</command> command generates a lot of
@@ -155,4 +173,8 @@
     <title>Command Explanations</title>
 
+    <para><command>sed -i ... kio/kio/kdirwatch.cpp</command>: This command is
+    necessary to prevent a conflict in linux headers.  The equivalent
+    instructions that are deleted are now within glibc.</para> 
+
     <para><parameter>--prefix=&kde-dir;</parameter>: This option tells the process
     to install the package in <filename class="directory">&kde-dir;</filename>.</para>
@@ -163,10 +185,4 @@
     <para><parameter>--disable-dependency-tracking</parameter>: This option
     speeds up one time builds.</para>
-
-<!--
-    <para><parameter>- -enable-fast-malloc=full</parameter>: This option tells
-    <application>KDE</application> programs to use an internal memory
-    allocation scheme optimized for <application>KDE</application>.</para>
--->
 
     <para><parameter>--sysconfdir=/etc/kde</parameter>: This option places
@@ -177,10 +193,4 @@
     class='directory'>$KDE_PREFIX/etc</filename> which may be desirable if
     you have multiple versions of <application>KDE</application> installed.</para>
-
-    <para><parameter>LD_LIBRARY_PATH="$QTDIR/lib" make</parameter>: A bug in the
-    <application>kdelibs</application> build system prevents <application>Qt</application>
-    from being found by the Makefiles if <application>Qt</application> was
-    installed in <filename class='directory'>/opt</filename>. Setting LD_LIBRARY_PATH
-    works around the problem.</para>
 
   </sect2>
Index: kde/devel/kdebindings.xml
===================================================================
--- kde/devel/kdebindings.xml	(revision 5e51efe2ef0db84a55b2d4c0c88f05bf752b484a)
+++ kde/devel/kdebindings.xml	(revision 65ce93ae5876897d9f9e784e2785b525b0df6a3c)
@@ -6,8 +6,8 @@
   <!ENTITY kdebindings-download-http "&kde-download-http;/kdebindings-&kde-version;.tar.bz2">
   <!ENTITY kdebindings-download-ftp  "&kde-download-ftp;/kdebindings-&kde-version;.tar.bz2">
-  <!ENTITY kdebindings-md5sum        "ba780920f6b810a30a61b1ffa888706b">
+  <!ENTITY kdebindings-md5sum        "7d5119160ac3688ac1a63954d03ab4a8">
   <!ENTITY kdebindings-size          "5.5 MB">
-  <!ENTITY kdebindings-buildsize     "490 MB">
-  <!ENTITY kdebindings-time          "18 SBU">
+  <!ENTITY kdebindings-buildsize     "428 MB">
+  <!ENTITY kdebindings-time          "20 SBU">
 ]>
 
@@ -56,4 +56,16 @@
     </itemizedlist>
 
+    <bridgehead renderas="sect3">Additional Downloads</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>Reqiured patch: <ulink
+        url="&patch-root;/kdebindings-&kde-version;-python-1.patch"/></para>
+      </listitem>
+      <listitem>
+        <para>Reqiured patch: <ulink
+        url="&patch-root;/kdebindings-&kde-version;-ruby-1.patch"/></para>
+      </listitem>
+    </itemizedlist>
+
     <bridgehead renderas="sect3">Kdebindings Dependencies</bridgehead>
 
@@ -95,8 +107,11 @@
     <para>Install <application>kdebindings</application> with:</para>
 
-<screen><userinput>sed -i -e '/configure.*pyqt/s/-c//' \
-    -e '/configure.*pykde/s/-c/-i/' python/Makefile.in
-sed -i 's%echo "yes" | @PYTHON@ configure.py%&amp; -y qt-mt%' python/Makefile.in
-DO_NOT_COMPILE="smoke" ./configure --prefix=&kde-dir; --disable-debug \
+<screen><userinput>sed -i 's%echo "yes" | @PYTHON@ configure.py%&amp; -y qt-mt%' \
+    python/Makefile.in &amp;&amp;
+
+patch -Np1 -i $DIR/kdebindings-3.5.10-ruby-1.patch   &amp;&amp;
+patch -Np1 -i $DIR/kdebindings-3.5.10-python-1.patch &amp;&amp;
+
+./configure --prefix=&kde-dir; --disable-debug \
     --disable-dependency-tracking &amp;&amp;
 make</userinput></screen>
@@ -113,18 +128,9 @@
     <title>Command Explanations</title>
 
-    <para><command>sed -i -e '/configure.*pyqt/s/-c//' -e
-    '/configure.*pykde/s/-c/-i/' python/Makefile.in </command>: Remove a switch
-    that causes concatenation of multiple files for compilation.  This fix
-    reduces build time by a factor of five.</para>
-
-    <para><command>sed -i 's%echo "yes" | @PYTHON@ configure.py%&amp; -y qt-mt%' python/Makefile.in</command>:
+    <para><command>sed -i ... python/Makefile.in</command>:
     Specifies that the <filename class='libraryfile'>libqt-mt.so</filename> library
     should be used to build the pyqt bindings. <command>configure.py</command>
     will fail if it finds both <filename class='libraryfile'>libqt-mt.so</filename>
     and <filename class='libraryfile'>libqt.so</filename>.</para>
-
-    <para><command>DO_NOT_COMPILE="smoke" ./configure</command>: Disables the building
-    of the smoke module of <application>kdebindings</application>, as the build is
-    currently broken and no workaround has been found.</para>
 
   </sect2>
Index: kde/devel/kdesdk.xml
===================================================================
--- kde/devel/kdesdk.xml	(revision 5e51efe2ef0db84a55b2d4c0c88f05bf752b484a)
+++ kde/devel/kdesdk.xml	(revision 65ce93ae5876897d9f9e784e2785b525b0df6a3c)
@@ -6,8 +6,8 @@
   <!ENTITY kdesdk-download-http "&kde-download-http;/kdesdk-&kde-version;.tar.bz2">
   <!ENTITY kdesdk-download-ftp  "&kde-download-ftp;/kdesdk-&kde-version;.tar.bz2">
-  <!ENTITY kdesdk-md5sum        "fd86abfe0ac7c5af61b15eb5367d0399">
-  <!ENTITY kdesdk-size          "5.1 MB">
-  <!ENTITY kdesdk-buildsize     "112 MB">
-  <!ENTITY kdesdk-time          "6.7 SBU">
+  <!ENTITY kdesdk-md5sum        "ad711d1ce09242bd13b73a9a005f3143">
+  <!ENTITY kdesdk-size          "5.0 MB">
+  <!ENTITY kdesdk-buildsize     "111 MB">
+  <!ENTITY kdesdk-time          "7.5 SBU">
 ]>
 
Index: kde/devel/kdevelop.xml
===================================================================
--- kde/devel/kdevelop.xml	(revision 5e51efe2ef0db84a55b2d4c0c88f05bf752b484a)
+++ kde/devel/kdevelop.xml	(revision 65ce93ae5876897d9f9e784e2785b525b0df6a3c)
@@ -6,8 +6,8 @@
   <!ENTITY kdevelop-download-http "&kde-download-http;/kdevelop-&kdevelop-version;.tar.bz2">
   <!ENTITY kdevelop-download-ftp  "&kde-download-ftp;/kdevelop-&kdevelop-version;.tar.bz2">
-  <!ENTITY kdevelop-md5sum        "80d2216a0089fe142735d34ae8de6a0c">
+  <!ENTITY kdevelop-md5sum        "06aa12a89b2c09968a92e1d8b575819c">
   <!ENTITY kdevelop-size          "9.1 MB">
-  <!ENTITY kdevelop-buildsize     "187 MB (additional 23 MB for API docs)">
-  <!ENTITY kdevelop-time          "15 SBU (additional 0.2 SBU for API docs)">
+  <!ENTITY kdevelop-buildsize     "188 MB (additional 22 MB for API docs)">
+  <!ENTITY kdevelop-time          "16.8 SBU (additional 0.3 SBU for API docs)">
 ]>
 
@@ -62,7 +62,6 @@
     <bridgehead renderas="sect4">Recommended</bridgehead>
     <para role="recommended"><xref linkend="libjpeg"/>,
-    <xref linkend="kdesdk"/>,
-    <xref linkend="libxml2"/>, and the apidox from <xref linkend="kdelibs"/>
-    (if building API documentation).</para>
+    <xref linkend="kdesdk"/>, and
+    <xref linkend="libxml2"/>.</para>
 
     <bridgehead renderas="sect4">Optional</bridgehead>
@@ -101,6 +100,10 @@
 make</userinput></screen>
 
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../xincludes/kde-apidocs.xml"/>
+    <note>
+      <para>If you wish to create the API documentation and you have
+      <application>Doxygen</application> and
+      <application>Graphviz</application> installed run the command
+      <command>make apidox</command>.</para>
+    </note>
 
     <para>This package does not come with a test suite.</para>
@@ -108,8 +111,8 @@
     <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
 
-<screen role="root"><userinput>make install &amp;&amp;
-chown -v -R root:root &kde-dir;/kdevbdb</userinput></screen>
+<screen role="root"><userinput>make install</userinput></screen>
 
-    <para>If you created the API documentation, install it with:</para>
+    <para>If you created the API documentation, install it  as the <systemitem
+    class="username">root</systemitem> user with:</para>
 
 <screen role="root"><userinput>make install-apidox</userinput></screen>
@@ -125,9 +128,14 @@
     documentation to fail.</para>
 
+    <!-- 
+
+    This is surely wrong.  I can find a reference to kdevbdb at all, but
+    even if it were there, it would be a subdirectory of &kde-dir;.
+
     <para><command>chown -v -R root:root &kde-dir;/kdevbdb</command>: If
     <application>kdevelop</application> is built by any user other than
     <systemitem class="username">root</systemitem> the installed
     <application>Berkeley-DB</application> files will have incorrect ownership.
-    This command changes the ownership to root:root.</para>
+    This command changes the ownership to root:root.</para> -->
 
   </sect2>
@@ -144,6 +152,5 @@
         <seg>kdevelop and supporting programs</seg>
         <seg>Supporting kdevelop libraries</seg>
-        <seg>$KDE_PREFIX/kdevbdb and supporting subdirectoies in
-        $KDE_PREFIX/{include,share}</seg>
+        <seg>Supporting subdirectories in $KDE_PREFIX/{include,share}</seg>
       </seglistitem>
     </segmentedlist>
Index: kde/devel/kdewebdev.xml
===================================================================
--- kde/devel/kdewebdev.xml	(revision 5e51efe2ef0db84a55b2d4c0c88f05bf752b484a)
+++ kde/devel/kdewebdev.xml	(revision 65ce93ae5876897d9f9e784e2785b525b0df6a3c)
@@ -6,8 +6,8 @@
   <!ENTITY kdewebdev-download-http "&kde-download-http;/kdewebdev-&kde-version;.tar.bz2">
   <!ENTITY kdewebdev-download-ftp  "&kde-download-ftp;/kdewebdev-&kde-version;.tar.bz2">
-  <!ENTITY kdewebdev-md5sum        "e95d1fbb698ec76966abfa5bdf96bd5e">
+  <!ENTITY kdewebdev-md5sum        "7188f351158ca5a7613c3de4a6854b37">
   <!ENTITY kdewebdev-size          "6.0 MB">
-  <!ENTITY kdewebdev-buildsize     "107 MB">
-  <!ENTITY kdewebdev-time          "5.6 SBU">
+  <!ENTITY kdewebdev-buildsize     "106 MB">
+  <!ENTITY kdewebdev-time          "6.1 SBU">
 ]>
 